Microsoft System Center Configuration Manager 2007 Management Pack User's Guide for Microsoft System Center Operations Manager 2007
System Center Configuration Manager 2007 logo

Welcome to the Microsoft System Center Configuration Manager 2007 (ConfigMgr) Management Pack for System Center Operations Manager 2007. This Management Pack helps administrators manage and administer Configuration Manager 2007 servers.

Getting the Latest Management Pack and Management Pack Documentation

You can find the Configuration Manager 2007 Management Pack at http://go.microsoft.com/fwlink/?LinkId=103233.

What's New

For a list of changes in the Management Pack, see What's New in the Configuration Manager 2007 Management Pack.

See Also

Other Resources

Overview of Configuration Manager 2007 Management Pack
Deploying the Configuration Manager 2007 Management Pack
Management Pack Monitoring Scenarios for Configuration Manager 2007
Performing Operational Tasks for the Configuration Manager 2007 Management Pack
Troubleshooting the Configuration Manager 2007 Management Pack
Reference for the Configuration Manager 2007 Management Pack


Overview of Configuration Manager 2007 Management Pack

This guide will familiarize you with deployment and technical information about the Configuration Manager 2007 Management Pack. With this information, you can plan your Management Pack deployment, understand the features that the Management Pack offers, and understand how to use those features to benefit your IT organization.

The System Center Configuration Manager 2007 Management Pack for Operations Manager 2007 provides improved capabilities for Configuration Manager 2007 monitoring, including the following:

  • Monitoring the starting and stopping of all Configuration Manager 2007 services, including critical dependent services like Windows Management Instrumentation (WMI), IIS Admin Service, World Wide Web Publishing Service, Windows Deployment Services Server, Trivial FTP Daemon, Background Intelligent Transfer Service (BITS) and Microsoft SQL Server™.

  • Alerting the Configuration Manager 2007 administrator to critical Configuration Manager 2007 status messages.

  • Monitoring backlogs of discovery data records (DDRs), software inventory, hardware inventory, status messages, state messages, and software metering on both primary site servers and management points.

  • Monitoring outbox backlogs on site systems.

  • Monitoring a component and site system role health.

  • Monitoring collection evaluation, state message summarization, and site maintenance tasks, including site backup.

  • Monitoring SMS Executive crash dumps.

  • Monitoring general CPU, Memory, and Disk system resource usage.

  • Monitoring processing rates.

  • Monitoring the performance trends of many Configuration Manager performance counters by using views and reports.

  • Product knowledge content for all alerts and processing rules.

  • Detecting all Configuration Manager 2007 computers, classes, and computer groups.

  • Configuration Manager 2007 views.

  • Reports displaying performance, availability, and configuration of Configuration Manager 2007 server groups. These linked reports leverage the enhanced reporting of Systems Center Operations Manager 2007 for performance, configuration, and availability trends.

  • Tasks for executing Configuration Manager 2007 Administrator console applications.

  • Computer State view containing the health of all Configuration Manager 2007 server roles and the Configuration Manager 2007 Client.

  • Site Hierarchy and Site State views for displaying the health of sites in a hierarchy and the hierarchy itself.

  • Service Discovery of important Configuration Manager 2007 server and Configuration Manager 2007 client information.

  • Topology diagram of the Configuration Manager 2007 site hierarchy.

  • Configuration Manager 2007 configurable alerting on distributed program failure through Configuration Manager 2007 program properties.

For more information about monitoring scenarios and features, see Management Pack Monitoring Scenarios for Configuration Manager 2007.

The Configuration Manager 2007 Management Pack is not designed to do the following:

  • Provide the monitoring of System Management Server (SMS) 1.2, SMS 2.0, or SMS 2003 or any R2 or service pack release thereof.

  • Monitor mixed SMS and Configuration Manager environments. Mixed environments have SMS 1.2, SMS 2.0, SMS 2003, and Configuration Manager installations running side by side. An SMS 2003 child site can report up to a Configuration Manager 2007 parent site.

  • Provide comprehensive monitoring of Configuration Manager 2007 client-only computers running the Configuration Manager 2007 client.

  • Provide an out-of-the-box monitoring solution that manages any Configuration Manager 2007 installation without any modifications. Rule thresholds are different for every Configuration Manager 2007 installation and customers must customize rules themselves.

In This Section

What's New in the Configuration Manager 2007 Management Pack

Recommended Knowledge for the Configuration Manager 2007 Management Pack

Supported Configurations for the Configuration Manager 2007 Management Pack

See Also

Concepts

Getting Started with the Configuration Manager 2007 Management Pack

Other Resources

Deploying the Configuration Manager 2007 Management Pack
Management Pack Monitoring Scenarios for Configuration Manager 2007
Performing Operational Tasks for the Configuration Manager 2007 Management Pack
Reference for the Configuration Manager 2007 Management Pack
Troubleshooting the Configuration Manager 2007 Management Pack


What's New in the Configuration Manager 2007 Management Pack

The System Center Configuration Manager 2007 Management Pack for Operations Manager 2007 includes monitoring of new features as well as new monitoring mechanisms. Monitoring of obsolete roles and data sources has been removed.

Added Support for Configuration Manager 2007 Features

The Configuration Management 2007 Management Pack adds monitoring of the following Configuration Manager 2007 features:

  • Desired configuration management

  • Operating system deployment

  • Network access protection (NAP). NAP monitoring is unsupported until Configuration Management 2007 Service Pack 1.

  • Device management

  • Wake On LAN

  • VSS-based backup

  • Mobile clients; branch- and Internet-facing infrastructures

Added SQL Server Availability Monitoring

The Configuration Manager database is now monitored from the site server rather than locally from the SQL server. This monitoring is performed by the SMS_DATABASE_NOTIFICATION_MONITOR, a thread of the SMS Executive service. SQL server availability can be monitored using availability reports.

Added Device Management Point Availability Monitoring

Device Management Point monitoring is performed by MP Control Manager issuing a synthetic transaction to the Device Management Point instructing it to perform a self-test. The result of that test is then reflected as the role's availability, which can be monitored through alerts and reports.

Added Distribution Point Availability Monitoring

Distribution Point availability monitoring is currently only available for Branch Distribution Points. The availability of the role is reported by the BDP Agent running on a Configuration Manager Client.

Added Software Update Point Availability Monitoring

Software Update Point availability reflects the health of the role and its ability to sync to updates from the WSUS Server.

Added State Migration Point Availability Monitoring

State Migration Point monitoring is performed by SMP Control Manager issuing a synthetic transaction to the State Migration Point instructing it to perform a self-test. The result of that test is then reflected as the role's availability, which can be monitored through alerts and reports.

Added PXE Service Point Availability Monitoring

PXE Service Point monitoring is performed by PSP Control Manager issuing a synthetic transaction to the PXE Service Point instructing it to access the site database. The result of that test is then reflected as the role's availability, which can be monitored through alerts and reports.

Added System Health Validator Availability Monitoring

System Health Validator availability and health is dynamically reported by the System Health Validator itself and reflects its current internal operational state, which can be monitored through alerts and reports.

Added Network Load Balancing Management Point Availability Monitoring

In order to provide both physical and virtual management point monitoring for (network load balancing) NLB management points, the Management Point Control Manager has been updated. Monitoring of NLB availability is performed much the same way as monitoring for a physical management point is done in Configuration Manager 2007. Also the state of each node within the NLB is monitored.

Added Component Availability Monitoring

Many components have been instrumented to generate heartbeats containing their availability state. Component availability issues are reported through alerts.

Added Configuration Manager Task Monitoring

Tasks are periodically performed for collection evaluation, state message summarization, and site maintenance including backup. Tables in the site database have been expanded and components updated to report task duration and status. Tasks running longer than expected or failing are now reported.

Updated Inbox File Count Threshold Rules

Inboxes are now monitored by Management Pack performance counters. In the past, these counters were monitored by a script.

Added Outbox Monitoring

The outbox monitor counts the number of files in an outbox and is reported by a performance counter.

Updated Configuration Manager 2007 Tasks Launched from the Operations Manager Console

In SMS 2003, the SMS_ADMIN_UI_PATH environment variable that was created when you installed the SMS Administrator console was a user environment variable, so only the installer of the console was capable of launching the SMS Tasks from the Operations Console. In Configuration Manager 2007, this environment variable is now a system environment variable, and this restriction no longer holds. The following tasks are affected:

  • Resource Explorer

  • Configuration Manager console

  • Service Manager

  • Status Message

  • These tasks are now available in the task pane whenever an instance of the ConfigMgr Server class is present.

Update Maintenance Mode for Configuration Manager 2007

Operations Manager Maintenance mode is now leveraged by the following Configuration Manager 2007 features:

  • Backup and recovery

  • Software updates management

  • Software distribution

Backup and recovery still performs a shutdown of services, but because it places the Operations Manager Agent into maintenance mode before doing so, it is no longer necessary to have any custom implementation of service monitoring in the Management Pack for this.

Updated Configuration Manager Site Hierarchy Diagram

The Site Hierarchy Diagram of SMS 2003 in Operations Manager (MOM) 2007 has been updated to roll up status.Diagrams for the Configuration Manager 2007 Management Pack

Updated Reports for Configuration Manager

Configuration Manager contains new reports that focus on performance counters by site system role and performance counters by object processing counter, such as counters related to DDRs. For more information about the new reports, see Reports for the Configuration Manager 2007 Management Pack.

Removed Configuration Manager Sender Role

The remote sender is longer supported in Configuration Manager 2007. Management Pack support for the sender role has been removed from the Management Pack.

Removed Client Access Point Role

These roles have been removed from Configuration Manager 2007. Monitoring of these roles has been removed from the Health Explorer.

Removed Monitoring of Client Configuration Request Outbox

Monitoring of the Configuration Manager 2007 client configuration request outbox (outbox ccr.box) is no longer supported by the Management Pack now that CCRs no longer flow through this outbox.


Recommended Knowledge for the Configuration Manager 2007 Management Pack

To deploy and operate the Configuration Manager 2007 Management Pack, it is recommended that you have the following knowledge and skills:

  • A working knowledge of Operations Manager 2007 monitoring features. For more information about Operations Manager 2007, see the Operations Manager 2007 Web page (http://go.microsoft.com/fwlink/?LinkID=83259).

  • An understanding of the Operations Manager 2007 design architecture and the design architecture that is deployed in your organization.

  • A familiarity with the recommended process for deploying Management Packs as described in the System Center Operations Manager 2007 Deployment Guide.

  • A working knowledge of Configuration Manager concepts and terminology. For more information about Configuration Manager 2007, see the Configuration Manager Documentation Library Web page (http://go.microsoft.com/fwlink/?LinkId=98803).

  • An understanding of Configuration Manager 2007 manageability and its instrumentation. For more information about maintaining Configuration Manager 2007, see Maintaining Configuration Manager 2007 (http://go.microsoft.com/fwlink/?LinkId=102324) and the Manageability TechCenter (http://go.microsoft.com/fwlink/?LinkId=102326).

See Also

Other Resources

Deploying the Configuration Manager 2007 Management Pack
Management Pack Monitoring Scenarios for Configuration Manager 2007
Performing Operational Tasks for the Configuration Manager 2007 Management Pack


Supported Configurations for the Configuration Manager 2007 Management Pack

The requirements for System Center Configuration Manager 2007 and Systems Center Operations Manager 2007 are documented in their respective deployment guides. The Configuration Manager 2007 Management Pack monitors Configuration Manager 2007 only.

  • The Operations Manager 2007 MOM 2005 Backward Compatibility Management Pack Update must be installed before installing the Configuration Manager 2007 Management Pack. For more information about the OpsMgr 2007 MOM 2005 Backward Compatibility Management Pack Update, visit the download Web page (http://go.microsoft.com/fwlink/?LinkId=101878).

  • This Configuration Manager 2007 Management Pack does not monitor System Management Server (SMS) 1.2, SMS 2.0, or SMS 2003.

  • To monitor SMS 2003, use "Microsoft SMS 2003 Management Pack for Microsoft System Center Operations Manager 2007" (http://go.microsoft.com/fwlink/?LinkId=102297) or "Systems Management Server (SMS) 2003 Management Pack for MOM 2005" http://go.microsoft.com/fwlink/?LinkId=102297).

See Also

Other Resources

Overview of Configuration Manager 2007 Management Pack
Reference for the Configuration Manager 2007 Management Pack
Troubleshooting the Configuration Manager 2007 Management Pack


Deploying the Configuration Manager 2007 Management Pack

This section contains steps for deploying, testing, and customizing the Configuration Manager 2007 Management Pack.

In This Section

Getting Started with the Configuration Manager 2007 Management Pack

Deploying the Operations Manager 2007 Agent

Testing and Piloting the Configuration Manager 2007 Management Pack

Customizing the Configuration Manager 2007 Management Pack

See Also

Concepts

Known Issues for the Configuration Manager 2007 Management Pack

Other Resources

Overview of Configuration Manager 2007 Management Pack
Management Pack Monitoring Scenarios for Configuration Manager 2007


Getting Started with the Configuration Manager 2007 Management Pack

Before You Import the Management Pack

Before deploying the Microsoft® Configuration Manager 2007 Management Pack, review the Microsoft Operations Manager 2007 Deployment Guide on the Operations Manager 2007 Web page (http://go.microsoft.com/fwlink/?LinkID=83259). This section provides additional instructions for deploying Operations Manager Management Packs.

To deploy the Configuration Manager 2007 Management Pack, you must complete the following processes:

  • Design your monitoring environment based upon operational and organizational needs. Consider performance and scale factors. It is recommended that all primary site servers and default management points should be monitored.

  • Deploy the Operations Manager 2007 agent to all Configuration Manager 2007 server component computers that will be monitored. An incremental approach is best.

  • Verify that all agents are healthy.

  • Configure Operations Manager 2007 agents for Configuration Manager 2007 Providers and Configuration Manager 2007 Primary Site servers so that they can proxy for other computers.

  • Import the Configuration Manager 2007 Management Pack into an Operations Manager 2007 configuration group.

  • Complete the recommended test and pilot test tasks.

  • Complete the recommended tuning tasks.

How to Import the Configuration Manager 2007 Management Pack

Before a Management Pack can be used to monitor Configuration Manager 2007 installations, the Management Pack must be imported into Operations Manager 2007. For instructions on how to do this, see "How to Import a Management Pack in Operations Manager 2007" on the Operations Manager Web page (http://go.microsoft.com/fwlink/?LinkID=98348).

Create a New Management Pack for Customizations

Most Management Packs are sealed so that you cannot change any of the original settings in the Management Pack file. However, you can create customizations, such as overrides or new monitoring objects, and save them to a different Management Pack. By default, Operations Manager saves all customizations to the Default Management Pack. As a best practice, you should instead create a separate Management Pack for each sealed Management Pack you want to customize.

Creating a new Management Pack for storing overrides has the following advantages:

  • It simplifies the process of exporting customizations that were created in your test and preproduction environments to your production environment. For example, instead of exporting a Default Management Pack that contains customizations from multiple Management Packs, you can export just the Management Pack that contains the customizations of a single Management Pack.

  • It allows you to delete the original Management Pack without first needing to delete the Default Management Pack. A Management Pack that contains customizations is dependent on the original Management Pack. This dependency requires you to delete the Management Pack with customizations before you can delete the original Management Pack. If all of your customizations are saved to the Default Management Pack, you must delete the Default Management Pack before you can delete an original Management Pack.

  • It is easier to track and update customizations to individual Management Packs.

For more information about sealed and unsealed Management Packs, see Management Pack Formats. For more information about Management Pack customizations and the Default Management Pack, see About Management Packs.

To create a new management pack for customizations

  1. Open the Operations Console, and then click the Administration button.

  2. Right-click Management Packs, and then click Create New Management Pack.

  3. Enter a name, for example, ConfigMgr 2007 MP Customizations, and then click Next.

  4. Click Create.

See Also

Concepts

Deploying the Operations Manager 2007 Agent
Testing and Piloting the Configuration Manager 2007 Management Pack
Customizing the Configuration Manager 2007 Management Pack


Deploying the Operations Manager 2007 Agent

The Operations Manager agent runs on each computer that Operations Manager monitors. To view the computer groups that the Configuration Manager 2007 Management Pack monitors, see the Computer Groups for the Configuration Manager 2007 Management Pack section in this guide. The Operations Manager 2007 agent collects monitoring data on the managed computer, applies rules to the collected data, and then sends the resulting data to the Data Consolidator Agent Manager (DCAM). Monitoring functionality on an agent computer is provided by the Operations Manager 2007 Service (HealthService.exe), Operations Manager 2007 Host (MonitoringHost.exe), and the Agent Action Account.

To deploy the Operations Manager 2007 agent, you can use the Operations Manager 2007 installation wizard or Configuration Manager software distribution. For details on deploying the Operations Manager 2007 agent and using the Operations Manager 2007 installation wizard, see “Discovering Computers and Deploying Operations Manager Agents” in the Microsoft Operations Manager 2007 Deployment Guide. For more information, see the Operations Manager 2007 Web page (http://go.microsoft.com/fwlink/?LinkID=83259).

Note
It is recommended that you run the Operations Manager 2007 agent on the Configuration Manager Provider computers by using the LocalSystem account or an account with sufficient rights to access the Configuration Manager WMI namespaces root, root\cimv2, root\sms, and the SMS registry key and subkeys.

To determine whether agentless monitoring can be used in your environment, see "Agentless Monitoring Support" in Management Pack Monitoring Scenarios for Configuration Manager 2007.

Defining the SMS Environment Variable to Support Log-Based Rules

A number of rules in the Configuration Manager Management Pack read Configuration Manager-based log files to check for errors.

The following rules under ConfigMgr Site Servers - Common are based on the sender.log, distmgr.log, and policypv.log files, respectively:

  • ConfigMgr 2007 Component: The sender cannot connect to remote site over the LAN (Standard Security)

  • ConfigMgr 2007 Component: The sender cannot connect to remote site over the RAS connection

  • ConfigMgr 2007 Component: The sender cannot connect to remote site over the LAN (Advanced Security)

  • ConfigMgr 2007 Component: Distribution Manager failed to process a package

  • ConfigMgr 2007 Component: Distribution Manager failed to insert an SMS Package because SDM Type Content is not present in the CI_Contents table

  • ConfigMgr 2007 Component: Policy Provider failed to get new software update policies from the SMS Site Database

  • ConfigMgr 2007 Component: Policy Provider failed to create new software update policy

  • ConfigMgr 2007 Component: Policy Provider failed to get new compliance policies from the SMS Site Database

  • ConfigMgr 2007 Component: Policy Provider failed to create new compliance policy

  • ConfigMgr 2007 Component: Policy Provider failed to notify Hierarchy Manager of a policy change

In order to monitor these logs, the location of the Configuration Manager installation folder must be specified. To do so, create the %SMS_INSTALL_DIR_PATH% system environment variable on a site server so that the MOM Agent running under Local System or a local administrator user context has access to the log files in the %SMS_INSTALL_DIR_PATH%\Logs directory. For more information about setting system environment variables, see the system environment variable Web page (http://go.microsoft.com/fwlink/?LinkId=92316).

In order for the Operations Manager Health Agent to use this system environment variable, the Configuration Manager Site Server may need to be restarted.

Configuring Agent Computers to Run in Low-Privilege Scenarios

Monitoring functionality on an agent computer is provided by the Operations Manager 2007 Service (HealthService.exe), Operations Manager 2007 Host (MonitoringHost.exe), and the Agent Action Account. On Microsoft Windows® 2000, the Action Account must be a member of the local administrators group. On Microsoft Windows™ 2003, you can use a low-privileged account for the agent’s Agent Action Account under certain circumstances. However, configuring the Action Account and the user context that the Operations Manager 2007 Service and Operations Manager 2007 Host process run under with the necessary rights and permissions to run the Configuration Manager 2007 Management Pack features requires significant manual configuration on the agent computer. On Microsoft Windows Server™ 2003, the Agent Action Account must have the following minimum user rights and permissions:

  • Member of the Local Users group

  • Access to Windows Event Logs

  • Manage auditing and security log permission (SeSecurityPrivilege)

  • Generate security audits permission (SeAuditPrivilege)

  • Allow log on locally permission (SeInteractiveLogonRight)

In a low-privileged scenario, the Configuration Manager 2007 Management Pack requires that the account used for the Agent Action Account have additional rights and permissions. The following table details the access rights that must be configured manually.

Access Types Required By the Configuration Manager 2007 Management Pack

Resource | Access Type | Instructions
Windows Event Log | Read | The Action Account must be given the Manage auditing and security log privilege using Local or Global Policy.
SMS registry keys | Read | HKLM\Software\Microsoft\SMS Add the Action Account to the registry properties and provide read access that is inherited by all subkeys.
Win32 Services registry keys | Read | HKLM\System\CurrentControlSet\Services Add Action Account to the local users group.
Script generated temp files | Read and Write | The path specified by the TMP variable for the Action Agent. For Local System this is %Windir%\Temp Add the Action Account to the local users group.
SMS log files | Read | <ConfigMgrInstallFolder> \Logs Add the Action Account to the folder properties.
WMI namespaces | Read | root and root\cimv2 No action should be required.
SMS WMI namespaces | Read | No action should be required.
SMS WMI classes | Read | SMS_Site SMS_R_System SMS_SiteControlFile SMS_ProviderLocation SMS_SCI_SiteDefinition SMS_SystemResourceList SMS_SystemResourceList SMS_SiteSystemSummarizer Add the Action Account to the class for all instances
Security login rights to the default instance | Grant access | For the default instance on a managed SQL Server computer, the Action Account must be given Grant access rights for security logins. In SQL Server Enterprise Manager, add the Action Account to the following node: instancename\Security\Logins.
Access to the Master database on the default instance (required to identify the SMS Site database) | Permit | For the default instance on a managed SQL Server computer, the Action Account must be given permit access to the Master database. In SQL Server Enterprise Manager, add the Action Account to the following node: instancename\Databases\Master\Users. Keep all default permissions associated with this new user.
Access to the SMS Site database on the default instance | Permit | For the default instance on a managed SQL Server computer, the Action Account must be given permit access to the SMS Site database. In SQL Server Enterprise Manager, add the Action Account to the following node: instancename\Databases\<SMS site>\Users. Keep all default permissions associated with this new user.

See Also

Concepts

Customizing the Configuration Manager 2007 Management Pack
Getting Started with the Configuration Manager 2007 Management Pack
Known Issues for the Configuration Manager 2007 Management Pack
Testing and Piloting the Configuration Manager 2007 Management Pack

Other Resources

Troubleshooting the Configuration Manager 2007 Management Pack


Testing and Piloting the Configuration Manager 2007 Management Pack

In addition to the general recommendations for testing Management Packs that are described in the Microsoft Operations Manager 2007 Deployment Guide, this section lists testing tasks that are appropriate for the Configuration Manager 2007 Management Pack. For more information about testing Management Packs, see the Operations Manager 2007 Web page (http://go.microsoft.com/fwlink/?LinkID=83259).

Testing Tasks

  • Verify that the Configuration Manager 2007 computer groups are populated with computers running Configuration Manager 2007.

  • After enabling the relevant rules, ensure that the views and reports in Operations Manager 2007 are functioning properly. These include views relating to Configuration Manager 2007 processing rates and Configuration Manager 2007 backlogs.

  • By default, some rules related to other Management Packs, such as the IIS and SQL Server Management Packs, are disabled in the Configuration Manager 2007 Management Pack. Depending on what additional Management Packs you have deployed, you should review these disabled rules to identify any rules that you might want to enable in your environment.

  • By default, all performance measuring rules are disabled to minimize the impact on the agent’s CPU, memory, and network resources. These rules can be enabled for more in-depth monitoring.

  • Some of the Configuration Manager 2007 scripts that run on a Configuration Manager 2007 Provider computer, a Configuration Manager 2007 Site Server, or access a Configuration Manager 2007 site database do not run in agentless mode. Verify that all computers in the Configuration Manager 2007 Provider and Configuration Manager 2007 Site Database Server computer groups are configured as agent-managed computers. Also, because some of these scripts may proxy events, verify that these agents are configured to enable proxying.

  • To support SQL Clusters, all scripts running against the ConfigMgr Site Database run from the site server. Verify that no error events and alerts are being raised by scripts.

See Also

Concepts

Customizing the Configuration Manager 2007 Management Pack
Deploying the Operations Manager 2007 Agent
Known Issues for the Configuration Manager 2007 Management Pack

Other Resources

Troubleshooting the Configuration Manager 2007 Management Pack


Piloting Testing the Configuration Manager 2007 Management Pack

In addition to the general recommendations for testing Management Packs that are described in the Microsoft Operations Manager 2007 Deployment Guide, this section lists piloting tasks that are appropriate for the Configuration Manager 2007 Management Pack. For more information about testing Management Packs, see the Operations Manager 2007 Web page (http://go.microsoft.com/fwlink/?LinkID=83259).

Pilot Testing Tasks

  • Verify that the deployment or upgrade process from the previous version for the Configuration Manager 2007 Management Pack completed successfully.

  • Verify and edit custom performance thresholds for your environment using the Authoring mode in the console. Select scope or search for the appropriate rules.

  • Enable performance rules in stages to evaluate the impact that these rules have on Operations Manager 2007 performance.

  • Verify that the Configuration Manager 2007 computer groups are populated with computers running Configuration Manager 2007.

  • After enabling the relevant rules, ensure that the views and reports in Operations Manager 2007 are functioning properly. These include views relating to Configuration Manager 2007 processing rates, processing totals, and Configuration Manager 2007 backlogs.

  • By default, some rules related to other Management Packs are disabled. Depending on what additional Management Packs you have deployed, you should review the disabled rules to identify any rules that you might want to enable in your environment.

  • By default, some performance rules are disabled to minimize the impact on the agent’s CPU, memory, and network resources. These rules can be enabled for more in-depth monitoring of the agent.

  • Verify that Configuration Manager 2007 script error events and alerts are not generated. These typically indicate problems with access permissions for the script.

  • Verify that the sizing of the Operations Manager and SQL Servers are sufficient for your production load.

  • Verify operations processes and personnel requirements.

  • Verify that notifications are working properly.

  • Verify that the permissions that Operations Manager 2007 is using are sufficient to run properly, without being excessive.

  • The Action Account agent can only be run by a LocalSystem account. If the Action Account agent is not being run with LocalSystem privileges, then ensure that the minimum security rights have been met. For more information, see the "Configuring Agent Computers to Run in Low Privilege Scenarios" section in the Deploying the Operations Manager 2007 Agent section in this guide.

  • Verify that the Configuration Manager 2007 Server and Configuration Manager 2007 Client roles appear in the Computer State view. Click a computer that is hosting each of these roles, and check that properties are visible in the details pane.

  • In the Computer State view, click a ConfigMgr Server and a ConfigMgr Client instance and check that their Roles are visible in the details pane.

  • In the Computer State view, double-click a ConfigMgr Server and a ConfigMgr Client instance, and check its properties in the State view details pane.

  • Verify that the Site and Site Hierarchy state views are functioning.

  • Verify that Configuration Manager 2007 Administrator console tasks are working by clicking a task. If the task fails to run, check that the Configuration Manager 2007 Administrator console has been installed and that the logged on user has sufficient permissions to run the console tasks.

  • Verify the Site Hierarchy Diagram. Verify that all site systems are displayed for sites that have the Operations Manager 2007 agent installed locally on their Configuration Manager 2007 Provider. If a site system does not appear, check the Configuration Manager 2007 Administrator console to see if the site system was discovered by the site and appears in the All Systems collection. Also verify that the FQDN has been entered for each server.

After you complete your pilot testing and tuning, export the Default Management Pack or custom Configuration Manager 2007 Management Pack you created to back up the changes that you made.

See Also

Concepts

Customizing the Configuration Manager 2007 Management Pack
Deploying the Operations Manager 2007 Agent
Known Issues for the Configuration Manager 2007 Management Pack

Other Resources

Troubleshooting the Configuration Manager 2007 Management Pack


Customizing the Configuration Manager 2007 Management Pack

For optimal monitoring, the Configuration Manager 2007 Management Pack can be customized based on the business needs of your organization. If the existing rules do not meet the needs of your organization, modify them or create new rules.

Note Always back up the Configuration Manager 2007 Management Pack before making changes. The Operations Manager 2007 Management Pack Export Wizard allows you to back up the Default Management Pack or your unsealed custom Management Packs.

Customizing can include any of the following:

  • Enabling and disabling rules using overrides.

  • Creating new rules and monitors.

  • Modifying alert criteria, alert severity, and alert suppression.

  • Setting custom thresholds for monitors. All performance threshold monitors are configurable. If the default threshold is not optimal, you might receive unnecessary alerts or you might not be alerted because a threshold is set too high for your environment.

  • Configuring inbox monitoring threshold and polling interval using overrides on rules and monitors.

  • Adding new inbox custom, script-based, monitoring event rules. To add a new inbox monitoring rule, create a new rule in the Default Management Pack or custom Management Pack, and then create overrides for the script input parameters (FileCountThreshold and InboxDirectoryName) and schedule.

  • Setting polling intervals for performance measuring using overrides.

  • Adding content to the company knowledge.

  • Customizing responses to alerts by changing or adding new responses to rules or monitors.

  • Enabling performance measuring rules on the agent generates a large amount of data and might potentially cause performance issues. Performance measuring rules are disabled by default to allow you to decide whether a potential performance impact is acceptable. Review the performance rules and enable these rules in small batches so you can assess the impact that these rules have on Operations Manager 2007 performance, including the size of the database.

  • Reviewing rules for applicability to your environment. By default, some rules related to other Management Packs are disabled. Depending on what additional Management Packs you have deployed, you should review the disabled rules to identify any rules you might want to enable in your environment.

For more information about Management Pack customizations and how to export Management Pack customizations, see the topics "About Management Packs in Operations Manager 2007" and "How to Export Management Pack Customizations" in the Operations Manager 2007 Web page (http://go.microsoft.com/fwlink/?LinkId=100980).

Inbox Monitoring

The Operations Manager 2007 Export Wizard allows you to save the changes in your Default Management Pack or any custom Management Pack you created before making additional changes.

Configuring Inbox Monitoring Rules

To deploy these rules to central, primary, and secondary site servers, you must create new rules in the Management Pack based on rules from Microsoft ConfigMgr 2007 Site Servers - Common. These rules can then be targeted to the appropriate site server class, modify the threshold, and enable the rule.

  • ConfigMgr Inbox: Monitor inbox

  • ConfigMgr Inbox: Monitor inbox script error

  • ConfigMgr Inbox: Threshold exceeded

The ConfigMgr Inbox: Threshold exceeded event processing rule monitors events from the ConfigMgr: Monitor Inbox script error script. A unique alert is generated for each inbox that is over the specified threshold count.

The default threshold setting for this script is 10,000 files in an inbox. You can create an override for this value in the default or custom Management Pack for this or any script parameters. If exceeded, a “threshold exceeded” event is raised. You can modify the threshold settings by calculating the daily expected load on servers for each correctly functioning process, and then adding an acceptable percentage of buffer. The inbox monitoring rules run once per day by default, in 15-minute increments beginning at 01:00. To minimize performance impact, it is recommended that you maintain this interval or adjust it so as to minimize any running script overlap between the inbox monitoring rules.

The following table lists the inbox monitoring rules, default thresholds, and inboxes that are monitored under the SMS Executive provider.

SMS Executive Inbox Monitoring

Inbox Monitoring Rule Name | Default Threshold | Inbox Name
ConfigMgr Inbox: Monitor inbox script error | n/a | n/a
ConfigMgr Inbox: Threshold exceeded | n/a | n/a
ConfigMgr Inbox: Monitor <inbox directory name> | 10000 | Inboxes\auth\dataldr.box

Procedure to Override the Inbox Monitoring Event Rules

Before you override an inbox monitoring event rule, the Operations Manager 2007 site server must discover Configuration Manager 2007 site server objects of type Microsoft Configuration Manager 2007 Site Servers.

To override the inbox monitoring event rules

  1. In the System Center Operations Manager 2007 console, click Authoring.

  2. Navigate to Authoring > Management Pack Objects > Rules.

  3. If the Look for text box is not available, navigate View and then click Find.

  4. Click Change Scope, and then scope for Microsoft ConfigMgr 2007 Site Servers.

  5. Right-click an appropriate ConfigMgr Inbox monitoring event rule to be modified, select Override the Rule, and then click For all objects of type: Microsoft ConfigMgr 2007 Site Servers.

  6. In Override Properties, select the Enabled override check box and set the Override Setting to True to enable the rule or False to disable the rule.

  7. In Override Properties, select the override check box and set the Override Setting to the desired values. Click OK. The modified threshold values are distributed to the servers.

Defining the SMS Admin UI Variable to Support Console Tasks

If Configuration Manager 2007 Site Server or Admin UI is collocated with an installation of Operations Manager 2007 that has imported the Configuration Manager 2007 management, then the Operations Manager console will be able to launch the following Configuration Manager 2007 UI components from the task pane:

  • Resource Explorer

  • Configuration Manager console

  • Service Manager

  • Status Message

In order to launch these applications, an SMS_ADMIN_UI_PATH system environment variable is created. This environment variable points to the directory containing the Configuration Manager Console, [ConfigMgrInstallationPath] \ AdminUI \ bin \ i386 by default.

Enabling Configuration Manager 2007 Rules

By default, certain Management Pack rules, including performance measuring counters and rules monitoring the Wake On LAN feature, are disabled. In order to use these rules, they must be enabled.

  • Wake On LAN rules disabled by default in the Configuration Manager 2007 Management Pack include the following:

  • ConfigMgr 2007 Perf Threshold: Site Server Inbox WOLCMGR.box Backlog > 20 over 1 hour

  • ConfigMgr 2007 Perf Threshold: Site Server Inbox WOLCMGR.box\data Backlog > 100 over 1 hour

  • ConfigMgr 2007 Perf Threshold: SMS Wake On LAN Communication Manager Total Number of Packets Failed > 100 over 15 minutes

  • ConfigMgr 2007 Perf Threshold: SMS Wake On LAN Communication Manager Total Number of Requests Pending > 10,000 over 3 hours

  • ConfigMgr 2007 Missing Status: Patch Management synchronization component successfully downloaded the catalog and updated Distribution Points with the new catalog version.

Note
The "ConfigMgr 2007 Missing Status: Patch Management synchronization component successfully downloaded the catalog and updated Distribution Points with the new catalog version" rule is only supported by Operations Manager 2007 SP1 and later.

To enable a disabled Management Pack rule, use the following procedure.

Procedure

To enable a disabled Management Pack rule

  1. In the Operations Console, click Authoring.

  2. In the navigation pane, navigate to Authoring > Management Pack Objects, and then click Rules.

  3. In the rules pane, search for the rule to be enabled. If the Look for bar is not available above the rule list, navigate View and then click Find.

  4. Right-click the rule name for the rule to be enabled, navigate to Overrides > Override the Rule, and click the set of objects to be monitored by the rule.

  5. Set the Enabled property to True, and modify any thresholds as appropriate for your environment. Click OK.

See Also

Concepts

Getting Started with the Configuration Manager 2007 Management Pack
Supported Configurations for the Configuration Manager 2007 Management Pack
Testing and Piloting the Configuration Manager 2007 Management Pack

Other Resources

Management Pack Monitoring Scenarios for Configuration Manager 2007
Reference for the Configuration Manager 2007 Management Pack
Troubleshooting the Configuration Manager 2007 Management Pack


Configuration Manager 2007 Integration with Operations Manager 2007

Configuration Manager 2007 integrates with the Operations Manager console through Operations Manager console tasks that launch Configuration Manager Administrator console components.

It also supports enabling maintenance mode on Configuration Manager clients running the Operations Manager 2007 Agent during software distribution and software update program executions. Maintenance mode is also enabled during the site backup, but this is not configurable.

Operations Manager 2007 Console Tasks

Configuration Manager 2007 Administrator console tasks require Configuration Manager 2007 Administrator console to be installed on the same computer as the Operations Manager 2007 Operations console. The SYSTEM Environment variable SMS_ADMIN_UI_PATH needs to be defined as the path to the folder containing the Configuration Manager 2007 console program. For more information about setting system environment variables, see the system environment variable Web page (http://go.microsoft.com/fwlink/?LinkId=92316).

The following Configuration Manager 2007 tasks can be launched from the Operations Manager console.

Task | Description
ConfigMgr 2007 Admin Console | Opens the Configuration Manager 2007 Administrator console directed at the currently selected computer. This applies to computers hosting the Configuration Manager 2007 site server role.
All ConfigMgr 2007 Status Messages | Prompts for the computer’s site server, opens an MMC window, and executes a status message query to return all status messages associated with the currently selected computer. This applies to all systems.
ConfigMgr 2007 Service Manager | Opens the Configuration Manager 2007 Service Manager directed to the currently selected computer. This applies to computers hosting the Configuration Manager 2007 site server role.
ConfigMgr 2007 Resource Explorer | Prompts for the computer’s site server, and opens an MMC window with the Configuration Manager 2007 Resource Explorer displaying the data for the currently selected computer. This applies to all systems.

Maintenance Mode for Configuration Manager 2007

The System Center Configuration Manager 2007 supports maintenance mode for Operations Manager 2007 with its Software Distribution and Software Updates features. By placing the MOM Agent into maintenance mode, alerts can be suppressed on computers running the Configuration Manager client.

When Configuration Manager 2007 distributes software to computers, it is often necessary to temporarily disable Operations Manager rule-based alerts generated by the target computer. For example, deploying hotfixes and security patches to servers may require shutting down threads and services. If threads or services on these servers are monitored by a Management Pack, numerous Operations Manager alerts may be generated, overloading the Operations Manager server.

The Disable MOM alerts while this program runs check box suspends Operations Manager alerts until the distributed software has finished. The Configuration Manager 2007 administrator can set this check box in the Configuration Manager package program properties. Setting this option suppresses Operations Manager alerts for all Management Packs that target the client computer while the client computer is executing that program. The maximum allowed run time is used as the timeout for the maintenance mode duration.

Enable Maintenance Mode for a Configuration Manager Software Update

Software updates distributed by Configuration Manager 2007 might generate alerts when the software update runs on client computers. To avoid receiving alerts for this planned maintenance, you can disable the alerts for the duration of the software update.

To disable Operations Manager alerts while software updates run, use the following procedure.

Procedure

To disable Operations Manager alerts while software updates run

  1. In the Configuration Manager 2007 console, navigate to System Center Configuration Management / Site Database - <site server name> / Computer Management / Software Updates / Deployment Management.

  2. Right-click the update name, and then click Properties.

  3. In the Program Properties dialog box, click the Event Generation tab.

  4. Select Disable Operations Manager alerts while software updates run, and then click OK.

After enabling maintenance mode for the Configuration Manager software update, the client computer will enter maintenance mode when the Configuration Manager update is distributed and run.

Enable Maintenance Mode for Configuration Manager Software Distribution

Software distributed by Configuration Manager 2007 might generate alerts when the software distribution program for the software distribution runs on client computers. To avoid receiving alerts for this planned maintenance, you can disable the alerts for the duration of the software distribution program.

To disable Operations Manager alerts while this software distribution program runs, use the following procedure.

Procedure

To disable Operations Manager alerts while a software distribution program runs

  1. In the Configuration Manager 2007 console, navigate to System Center Configuration Management / Site Database - <site server name> / Computer Management / Software Distribution / Packages / <PackageName> / Program.

  2. In the details pane, right-click the program name, and then click Properties.

  3. In the Program Properties dialog box, click the MOM Maintenance Mode tab.

  4. Select Disable Operations Manager alerts while this program runs, and then click OK.

After enabling maintenance mode for the Configuration Manager program, the client computer will enter maintenance mode when the Configuration Manager package is distributed and run.

Note
The timeout for maintenance mode is set in the Program Properties dialog box on the Requirements tab with the Maximum allowed runtime property selected.

Generate an Alert for a Configuration Manager 2007 Program Failure

Administrators might need to be alerted if software distributed by Configuration Manager 2007 fails to install on client computers.

To generate an Operations Manager alert if a software distribution program fails, perform the following procedure.

Procedure

To generate an Operations Manager alert if a software distribution program fails

  1. In the Configuration Manager 2007 console, navigate to System Center Configuration Management / Site Database - <site server name> / Computer Management / Software Distribution / Packages / <PackageName> / Program.

  2. In the details pane, right-click the program name, and then click Properties.

  3. In the Program Properties dialog box, click the MOM Maintenance Mode tab.

  4. Select Generate Operations Manager alert if this program fails, and then click OK.

After enabling this property, the program will send an Operations Manager alert if a software program fails to run.

Generate an Alert for a Configuration Manager 2007 Program Failure

Administrators might need to be alerted when software distributed by Configuration Manager 2007 fails to install on client computers.

To generate an Operations Manager alert when a software distribution program fails, perform the following procedure.

Procedure

To generate an Operations Manager alert when a software update installation fails

  1. In the Configuration Manager 2007 console, navigate to System Center Configuration Management / Site Database - <site server name> / Computer Management / Software Updates / Deployment.

  2. In the details pane, right-click the update name, and then click Properties.

  3. In the Program Properties dialog box, click the MOM Maintenance Mode tab.

  4. Select Generate Operations Manager alert when a software update installation fails, and then click OK.

After enabling this property, an Operations Manager alert will be sent when a software update installation fails.

See Also

Concepts

Daily Tasks for Configuration Manager 2007 Management Pack
Weekly Tasks for Configuration Manager 2007 Management Pack
Monthly Tasks for Configuration Manager 2007 Management Pack

Other Resources

Performing Operational Tasks for the Configuration Manager 2007 Management Pack
Reference for the Configuration Manager 2007 Management Pack
Troubleshooting the Configuration Manager 2007 Management Pack


Management Pack Monitoring Scenarios for Configuration Manager 2007

The Microsoft® System Center Configuration Manager 2007 Management Pack provides new and improved capabilities for Configuration Manager 2007 monitoring. The following sections describe the primary scenarios that the Configuration Manager 2007 Management Pack supports, along with a description of its features.

Service Availability

Service Discovery

Availability Monitoring

Computer State Monitoring

Site Hierarchy State Monitoring

Site State Monitoring

Agentless Monitoring Support

Performance Threshold Monitoring

Performance Monitoring

Critical Configuration Manager Status Message Monitoring

Site System Status Monitoring

Executive Crash Dump Monitoring

Backlog Monitoring

General Health Monitoring

Configuration Manager Software Update Management Monitoring

Configuration Manager Site Backup Monitoring

Product Knowledge Content for All Alerts

Computer Groups for All Configuration Manager Server and Client Roles

Expanded Monitoring

Software Distribution Program Run Status

Configuration Manager Task Monitoring

Component Log File Monitoring

Configuration Manager 2007 Inbox Monitoring

Service Availability

Service availability monitors the availability of Configuration Manager services by using both the Service Availability feature of System Center Operations Manager 2007 and the Service Control Manager events in the NT Event System Log. Service availability monitoring generates the following:

  • An alert when Configuration Manager-based services stop on Configuration Manager site systems.

  • An alert when a critical Configuration Manager dependent service, such as Windows Management Instrumentation (WMI), stops or fails to start on Configuration Manager site systems.

  • An alert when other Configuration Manager dependent services, such as Microsoft SQL Server™, Internet Information Services (IIS), and Background Intelligent Transfer Service (BITS) stop or fail to start on Configuration Manager site systems.

  • An alert when the Configuration Manager Site Backup service is started and stopped, so you can monitor backup durations and correlate stop events from other Configuration Manager services to Configuration Manager Site Backup.

Service Discovery

Service discovery is the process of discovering data, server roles, and components on managed computers. Service discovery returns information about Configuration Manager servers and Configuration Manager clients. It also supports the presentation of the Configuration Manager Server and Configuration Manager Client roles in the state monitoring views.

Server-specific service discovery data is collected and begins to display in the System Center Operations Console after the Management Pack is deployed to an agent. Features that require identifying roles, computer groups, and target computers for specific tasks are not available until after service discovery data is collected for the first time.

The Configuration Manager Management Pack uses the following event processing rule:

  • ConfigMgr 2007 Service Discovery

to launch the appropriate service discovery scripts:

  • ConfigMgr 2007 Service Discovery - Server

  • ConfigMgr 2007 Service Discovery - Client

  • The scripts use an asynchronous timed provider to collect service discovery data once every 24 hours by default.

Availability Monitoring Reports

The Configuration Manager 2007 Management Pack includes the following availability reports, which monitor the heartbeat of the following server roles:

  • Server Availability

  • Distribution Point Availability

  • Management Point Availability

  • PXE Service Point Availability

  • Site Server Availability

  • Software Update Point Availability

  • System Health Validator Availability

  • State Migration Point Availability

  • Site Database Server Availability

All reports run against the OperationsManager database, which allows you to specify reporting time durations.

For more information about server availability reports, see the Reports for the Configuration Manager 2007 Management Pack.

Server Role Availability Monitoring

Availability is monitored for the following roles:

  • Management Point

  • NLB Management Point

  • Device Management Point

  • System Health Validator

  • State Migration Point

  • PXE Service Point

  • Software Update Point

  • Distribution Point

  • Site Database Server

Component Availability Monitoring

Availability is monitored for the following components, which generate a periodic heartbeat reporting their availability state:

  • INBOX MANAGER

  • INBOX MONITOR

  • SITE COMPONENT MANAGER

  • MP CONTROL MANAGER

  • MP FILE DISPATCH MANAGER

  • OUTBOX MONITOR

  • WAKEONLAN COMMUNICATION MANAGER

  • WAKEONLAN MANAGER

  • WSUS CONFIGURATION MANAGER

  • WSUS SYNC MANAGER

  • WSUS CONTROL MANAGER

  • DATABASE NOTIFICATION MONITOR

  • OFFER STATUS SUMMARIZER

  • COMPONENT STATUS SUMMARIZER

  • SITE SYSTEM STATUS SUMMARIZER

  • COMPONENT MONITOR

  • STATE MIGRATION POINT

  • PXE SERVICE POINT

Computer State Monitoring

Computer state monitoring provides a tabular representation of the health of all Configuration Manager servers and clients. Server roles and components are managed through service discovery. Component health state is managed by a set of rules and monitors.

The table below shows the health states that are monitored for Configuration Manager components by color.

Configuration Manager Server State Monitoring

ConfigMgr Server Component | Green (Successful) | Yellow (Warning) | Red (Critical)
Site Server (SS) | Yes | Yes | Yes
Management Point (MP) | Yes | Yes | Yes
Site Database (DB) | Yes | Yes | Yes
Distribution Point (DP) | Yes |  | Yes
Server Locator Point (SLP) | Yes |  | Yes
Reporting Point (RP) | Yes |  | Yes
State Migration Points (SMP) | Yes | Yes | Yes
PXE Service Points (PSP) | Yes | Yes | Yes
Fallback Status Points (FSP) | Yes | Yes | Yes
System Health Validator (SHV) | Yes | Yes | Yes
Software Update Points (SUP) | Yes | Yes | Yes
Provider |  |  |
Performance | Yes | Yes | Yes

Configuration Manager Client State Monitoring

ConfigMgr Client Component | Green (Successful) | Yellow (Warning) | Red (Critical)
Client Service | Yes |  | Yes

Site Hierarchy State Monitoring

Site hierarchy state monitoring provides a tabular representation of the health of all the Configuration Manager 2007 managed systems in the site hierarchy. System health state is managed by a set of rules and monitors.

The table below shows the health states that are monitored for Configuration Manager systems by color.

Configuration Manager Site Hierarchy State Monitoring

ConfigMgr Server Component | Green (Successful) | Yellow (Warning) | Red (Critical)
Availability | Yes | Yes | Yes
Performance | Yes | Yes | Yes

Site State Monitoring

Site state monitoring provides a tabular representation of the health of all Configuration Manager managed servers. Site health state is managed by a set of rules and monitors.

The table below shows the health states that are monitored for Configuration Manager site states by color.

Configuration Manager Site State Monitoring

ConfigMgr Server Component | Green (Successful) | Yellow (Warning) | Red (Critical)
Availability | Yes | Yes | Yes
Performance | Yes | Yes | Yes

Agentless Monitoring Support

The Configuration Manager Management Pack supports monitoring on agentless managed computers except for the features listed below:

  • Critical Configuration Manager status message monitoring

  • Site system status monitoring

The following scripts support the above features:

  • ConfigMgr 2007 Monitor Collection Evaluation Tasks

  • ConfigMgr 2007 Monitor Site Maintenance Tasks

  • ConfigMgr 2007 Monitor Site System Summarizer

  • ConfigMgr 2007 Monitor SMS Executive Crash Dumps

  • ConfigMgr 2007 Monitor SMS Status Messages

  • ConfigMgr 2007 Monitor State Message Summary Tasks

These scripts must run locally to access the Configuration Manager resources. If the scripts cannot access a resource, a script error event and alert occurs.

Performance Threshold Monitoring

Reduced performance levels might create delays and affect customer service level agreements (SLAs) in terms of time, performance, and data accuracy. It is important to detect and resolve critical performance problems in the Configuration Manager infrastructure. Performance threshold monitoring generates an alert when the monitored condition exceeds certain levels:

  • General computer-wide health metrics relating to CPU, paging file, and memory on Configuration Manager site systems.

  • The total number of Configuration Manager files, such as scheduler jobs, send requests, software metering records, discovery data records (DDRs), and software inventory and hardware inventory records, in the Configuration Manager site server inboxes.

  • The total number of Configuration Manager messages relating to status messages, DDRs, software inventory, and hardware inventory in the Configuration Manager management point message queues.

  • SHV responses and conditions.

  • Files in SMS Outboxes.

  • PSP requests.

  • SMP total clients and disk space.

  • WOL packets.

Performance Monitoring

Performance monitoring enables you to watch for trends in backlogs, processing rates, and total counts of key Configuration Manager objects to help identify and proactively resolve problems. Performance trending monitors the following trends graphically by using Operations Manager 2007 Views and Reports:

  • Backlog files in inboxes relating to scheduler jobs, send requests, software metering records, DDRs, hardware inventory, software inventory, WOL packets, and state and status messages on Configuration Manager site servers.

  • Processing rates of scheduler jobs, send requests, software metering records, DDRs, hardware inventory, software inventory, WOL packets, SUP updates, and state and status messages on Configuration Manager site servers.

  • Total number of scheduler jobs, send requests, software metering records, DDRs, hardware inventory, software inventory, WOL packets, SUP updates, and state and status messages on Configuration Manager site servers.

  • Backlogs of messages relating to DDRs, hardware inventory, software inventory, software metering, state and status messages, and other Configuration Manager objects on Configuration Manager management point server message queues.

  • Processing rates of DDRs, hardware inventory, software inventory, software metering, state and status messages, SDM package requests, and other Configuration Manager objects on Configuration Manager management point server message queues.

  • Totals of DDRs, hardware inventory, software inventory, relays, SDM package requests, and status messages on Configuration Manager management point server message queues.

  • Computer-wide health metrics relating to CPU, paging file, and memory on Configuration Manager site systems.

  • Total number of Configuration Manager Executive threads that are running.

  • Rate of ISAPI extension requests to IIS.

  • Backlogs in outboxes on site systems.

  • SMS Server Availability requests.

  • SHV Condition and SoH requests.

  • PSP request processing.

  • SMP client state processing and free disk space.

  • Processing rates of DDRs, hardware inventory, software inventory, software metering, status messages, and other Configuration Manager objects on Configuration Manager device management point server message queues.

Critical Configuration Manager Status Message Monitoring

The Configuration Manager infrastructure generates Configuration Manager status messages. It is important to identify the critical server-related Configuration Manager status messages and resolve them in a timely manner. These typically indicate problems in the availability, performance, security, configuration, and overall health of the Configuration Manager infrastructure.

Critical Configuration Manager status message monitoring generates an alert when status messages critical to Configuration Manager are detected (such as component installation, database connectivity, and site connectivity). The Configuration Manager site database is scanned for critical Configuration Manager status messages once every half hour synchronous to the hour.

Site System Status Monitoring

Configuration Manager monitors the basic health of its site systems periodically through its site system status summarizer, which polls Configuration Manager site systems once every hour, on the hour. To benefit from this feature, this status must be acted on quickly to prevent degradation of Configuration Manager functionality. Site system status monitoring provides the ability to monitor and generate an alert when Configuration Manager site system summarizer status critical to the health of the Configuration Manager site system is detected. Some of the monitored status includes a Configuration Manager site system being down, a SQL Server that is running out of database space or log space, and Configuration Manager site systems running out of physical disk space on NTFS drives.

Executive Crash Dump Monitoring

Configuration Manager Executive service failures impact Configuration Manager availability, and it is important to know when crash dumps occur and to investigate the root causes. When the SMS Executive service fails, it creates a crash dump log subdirectory under the <ConfigMgrInstallationPath>\Logs\CrashDumps directory. Creation of this subdirectory is monitored, and an alert is generated for any Configuration Manager server role that depends on the SMS Executive service.

The Configuration Manager 2007 Monitor SMS Executive Crash Dumps script reports only the most recent crash dump. This applies no matter how long ago the last crash dump occurred, from the first time that the script is run to anytime SMS Executive is uninstalled and later reinstalled.

The related rules target the Microsoft Configuration Manager 2007 Component Servers based on SMS Executive class:

  • ConfigMgr 2007 Crash Dumps: Monitoring SMS Executive

ConfigMgr 2007 Crash Dumps: Monitoring SMS Executive launches the script every 60 minutes to synchronize at 00:10. Summary information is provided on the Knowledge property page of the rule.

  • ConfigMgr 2007 Crash Dumps: Monitoring SMS Executive script error

ConfigMgr 2007 Crash Dumps: Monitoring SMS Executive script error monitors for and alerts on any script error events that might be raised. There is only one script error event, number 1102, which reports all script errors. Information about resolution of the alert is provided on the Knowledge property page of the rule.

  • ConfigMgr 2007 Crash Dumps: SMS Executive crash

ConfigMgr 2007 Crash Dumps: SMS Executive crash monitors for and alerts on the crash dump event. Information about resolution of the alert is provided on the Knowledge property page of the rule.

Backlog Monitoring

Backlogs create delays that affect customer SLAs in terms of time, performance, and data accuracy. It is important to promptly detect and resolve critical performance problems in the Configuration Manager infrastructure. An alert is generated when a backlog is above a threshold over a given period of time for the following:

  • The total number of Configuration Manager files, such as scheduler jobs, send requests, software metering records, DDRs, software inventory and hardware inventory records, WOL requests, and state and status messages, in Configuration Manager site server inboxes.

  • The total number of Configuration Manager objects, such as scheduler jobs, send requests, software metering records, DDRs, software inventory and hardware inventory records, WOL requests, and status messages, in Configuration Manager site server queues.

  • The total number of Configuration Manager messages relating to status messages, DDRs, software inventory, and hardware inventory in Configuration Manager management point message queues.

  • The total number of files, such as software metering records, DDRs, software inventory and hardware inventory records, and state and status messages, in site system outboxes.

General Health Monitoring

General health monitoring generates an alert when a health metric on a Configuration Manager server is above a certain threshold over a period of time. General health monitoring checks the following metrics:

  • Processor Time at 95% over 3 hours

    • Smsexec

    • Ccmexec

    • Total

  • Paging File Usage at 98% over 3 hours

Configuration Manager Software Update Management Monitoring

Configuration Manager administrators depend on Configuration Manager software update management features to keep client and server computers in their enterprises current with the most recent security updates. Patch management monitoring detects any failure in the Configuration Manager software update management processing and configuration. Configuration Manager software update management monitoring generates an alert when the following situations occur:

  • The WSUS Server cannot be configured.

  • Configuration Manager cannot subscribe to updates from the WSUS Server.

  • The Configuration Manager software update management synchronization process fails.

  • The Configuration Manager software update management process fails to update Configuration Manager distribution points with the updates.

Configuration Manager Site Backup Monitoring

Knowing when Configuration Manager Backup started, completed, or failed can help Configuration Manager administrators audit backup activities. You can schedule Configuration Manager Backup to run periodically to back up the data, policies, and configuration of Configuration Manager.

It is important to monitor failures of this backup process and to take corrective action. Even when Configuration Manager Backup succeeds, it affects service availability because this process stops and starts the SMS Site Component Manager, and SMS Executive. Monitoring Configuration Manager Backup helps track known downtimes in these services because alerts about these services stopping are suppressed during the backup process. The following rules support monitoring Configuration Manager Site Backup:

  • ConfigMgr 2007 Status: Site Backup completed successfully

  • ConfigMgr 2007 Status: Site Backup failed

  • ConfigMgr 2007 Status: Site Backup cannot begin the backup process until the current backup task completes

  • ConfigMgr 2007 Status: Site Backup found that the SQL backup path is empty or invalid

  • ConfigMgr 2007 service stopped running: SMS_SITE_BACKUP

  • ConfigMgr 2007 service started running: SMS_SITE_BACKUP

  • ConfigMgr 2007 service failure: SMS_SITE_BACKUP terminated unexpectedly

  • ConfigMgr 2007 service failure: SMS_SITE_BACKUP hung on starting

  • ConfigMgr 2007 service failure: SMS_SITE_BACKUP failed to start

  • ConfigMgr 2007 service failure: SMS_SITE_BACKUP was unable to log on

  • ConfigMgr 2007 service failure: SMS_SITE_BACKUP depends on another service which failed to start or is nonexistent

  • ConfigMgr 2007 service running: SMS_SITE_VSS_WRITER

  • ConfigMgr 2007 service failure: SMS_SITE_VSS_WRITER terminated unexpectedly

  • ConfigMgr 2007 service failure: SMS_SITE_VSS_WRITER hung on starting

  • ConfigMgr 2007 service failure: SMS_SITE_VSS_WRITER failed to start

  • ConfigMgr 2007 service failure: SMS_SITE_VSS_WRITER was unable to log on

  • ConfigMgr 2007 service failure: SMS_SITE_VSS_WRITER depends on another service which failed to start or is nonexistent

Product Knowledge Content for All Alerts

Administrators can reference product knowledge content for all alerts to assist them in specifically identifying a problem and resolving it. To access product knowledge content, right-click any rule name, click Properties, and then click the Product Knowledge tab.

Computer Groups for All Configuration Manager Server and Client Roles

Computer groups map to specific Configuration Manager server and client roles. Rule and monitor targeting is based on classes that also map to Configuration Manager server and client roles. This provides administrators with the appropriate level of control for targeting for management pack rules.

Expanded Monitoring

The rules provided in the Configuration Manager Management Pack cover basic service, performance measuring, and performance threshold monitoring for dependent technologies: SQL Server, IIS, BITS, Windows operating system, WMI, WSUS, Windows Deployment Services, and Trivial FTP. Some of this support is disabled by default. You can enable and use this limited support in the Configuration Manager Management Pack, but it is recommended that you also import and use the Management Packs for these specific products.

  • Use the SQL Server Management Pack to expand monitoring of Configuration Manager site database servers, management points with replicated site database, and software update points that have SQL Server dependencies.

  • Use the IIS Management Pack to monitor IIS on reporting points, management points, server locator points, state migration points, and fallback status points. The IIS Management Pack can also monitor distribution points with BITS enabled.

  • Use the Microsoft Windows Operating System Management Pack to monitor basic Windows components, such as CPU, disk, and memory statistics.

Other Management Packs, for which the Configuration Manager 2007 Management Pack does not provide rules, enhance the monitoring of your Configuration Manager infrastructure.

  • Use the Windows Network Load Balancing Management Pack if you are using Network Load Balancing to support multiple management points in your Configuration Manager hierarchy for scalability reasons.

  • Use the Windows Active Directory® Management Pack to monitor the health of your Active Directory infrastructure.

If you deploy multiple Management Packs in your environment, you might receive redundant alerts based on rules that exist in both Management Packs. If you disable redundant monitoring rules, you might be affecting the accuracy of the state view for your deployed Management Packs. You should carefully consider the trade-off between receiving redundant alerts and having state monitoring work for each Management Pack that you deploy. Depending on which additional Management Packs you have deployed, you should review these redundant rules to identify any rules that you might want to enable in your environment. After installing these Management Packs, confirm that they are customized as necessary, configured properly, and have the appropriate rules enabled.

Software Distribution Program Run Status

The Configuration Manager Client can report program failures through the Management Pack.

Administrators can select the Generate Operations Manager alert if this program fails check box on the MOM Maintenance Mode tab in the Program Properties dialog box.

Procedure

Enabling Operations Manager 2007 alerts if a Configuration Manager 2007 program fails to run requires the following steps:

To enable Operations Manager 2007 alerts for a Configuration Manager program

  1. In the Configuration Manager console, navigate to Systems Center Configuration Manager / Site Database - <site server name> / Computer Management / Software Distribution / Packages / <PackageName> / Programs.

  2. In the details pane, right-click the program, and select Properties.

  3. Click the MOM Maintenance Mode tab.

  4. Select the Generate Operations Manager alert if this program fails to run check box. Click OK.

ConfigMgr Task Monitoring

Tasks that run against the ConfigMgr Site Database, such as collection evaluation, state message summarization, and site maintenance, are all monitored for completion status and duration. If a task should fail or run beyond its expected maximum duration, an alert is raised.

Component Log File Monitoring

The following rules are based on monitoring the sender.log, distmgr.log, and policypv.log files:

  • SMSv4 Component: The sender cannot connect to a remote site over the LAN (Standard Security).

  • SMSv4 Component: The sender cannot connect to a remote site over the RAS connection.

  • ConfigMgr 2007 Component: The sender cannot connect to a remote site over the LAN (Advanced Security).

  • ConfigMgr 2007 Component: Distribution Manager failed to process a package.

  • ConfigMgr 2007 Component: Distribution Manager failed to insert an SMS Package because SDM Type Content is not present in the CI_Contents table.

  • ConfigMgr 2007 Component: Policy Provider failed to get new software update policies from the SMS Site Database.

  • ConfigMgr 2007 Component: Policy Provider failed to create a new software update policy.

  • ConfigMgr 2007 Component: Policy Provider failed to get new compliance policies from the SMS Site Database.

  • ConfigMgr 2007 Component: Policy Provider failed to create a new compliance policy.

  • ConfigMgr 2007 Component: Policy Provider failed to notify Hierarchy Manager of a policy change.

Configuration Manager 2007 Inbox Monitoring

Configuration Manager 2007 does most of its key server-side activities by reading from and writing to files in its inboxes. When Configuration Manager 2007 inboxes get unusually full, it is a strong indication that Configuration Manager 2007 processing is falling behind. This could be for a variety of reasons, including but not limited to bad files, stopped processes, lack of disk space, or unusual software distribution activity level. Such problems are rare but serious for customers with a substantial number of sites.

An inbox monitor running as a thread of the SMS Executive service monitors the number of items queued by the service component and not the actual number of items waiting to be processed on disk.

All rules are located in the ConfigMgr 2007 Site Servers – Common processing installation class that targets these rules at central, primary, and secondary sites.

Schedule and Optional Configuration

To minimize the performance impact of inbox monitoring, the pertinent rules will be synchronized to run once per day. The rules are staggered at 15-minute intervals, beginning at 01:00 A.M., so that only one rule runs at a time. For example, the first rule counts the files present in the first inbox at 01:00 A.M. The next rule counts the files present in the second inbox at 01:15 A.M., and so forth, until all inboxes have been counted.

You can modify this schedule following the usual steps you take in scheduling a rule script to run in Operations Manager 2007. No initial configuration is required to activate this feature. Following are optional configuration changes you can perform:

  • Change the default threshold value for each inbox.

  • Change the schedule for individual inbox rules.

These optional configuration changes can be made by following the usual steps to configure threshold event rules in any Management Pack.

Threshold Alerts and Values

One alert is generated whenever the configured threshold value for a specific inbox rule is reached each time the monitoring rule is processed.

To edit the performance threshold values

  1. In the Operations Manager 2007 Administrator console, click Authoring.

  2. In the Authoring pane, navigate to Authoring > Management Pack Objects > Monitors.

  3. In the Monitors pane, look for ConfigMgr server.

  4. Navigate to ConfigMgr Server > Entity Health > Availability, and then expand one of the following server roles to be edited:

    • DB - Database Servers

    • DP - Distribution Points

    • FSP - Fallback Status Points

    • MP - Management Point Servers

    • PSP - PXE Service Points

    • SS - Site Servers

    • Provider - Providers

    • RP - Reporting Points

    • SHV - System Health Validators

    • SLP - Server Locator Points

    • SMP - State Migration Points

    • SUP - Software Update Points

  5. Right-click the monitor whose performance you want to edit, navigate to Overrides > Override the Monitor, and then click the category of objects to be affected by the override.

  6. Select the check boxes to configure the Override Properties of the monitor to suit your environment. Click OK.

For more information about inbox folders and how they are used in Configuration Manager, see the topic “A description of inbox folders and how they are used in Configuration Manager” Web page (http://go.microsoft.com/fwlink/?LinkId=99539).

See Also

Other Resources

Deploying the Configuration Manager 2007 Management Pack
Reference for the Configuration Manager 2007 Management Pack


Performing Operational Tasks for the Configuration Manager 2007 Management Pack

It is recommended that you promptly review and resolve all alerts to identify those of a significant or potentially critical nature. In addition, you should perform other tasks on a regular basis, depending on your environment. Many important problems do not cause alerts, but they still require periodic attention. The System Center Configuration Manager 2007 Management Pack has views and reports that display data over time and present patterns that indicate problems. Review the views and reports to resolve issues before they generate alerts.

You should perform the daily, weekly, and monthly tasks as specified in this section, but adjust the frequency of these tasks to meet the needs of your particular environment.

For more information about maintaining Configuration Manager 2007, see "Maintaining Configuration Manager 2007 (http://go.microsoft.com/fwlink/?LinkId=102324). For more information about site maintenance, see "Overview of Site Maintenance" (http://go.microsoft.com/fwlink/?LinkId=102325).

In This Section

Daily Tasks for Configuration Manager 2007 Management Pack

Weekly Tasks for Configuration Manager 2007 Management Pack

Monthly Tasks for Configuration Manager 2007 Management Pack

See Also

Concepts

Configuration Manager 2007 Integration with Operations Manager 2007

Other Resources

Overview of Configuration Manager 2007 Management Pack
Deploying the Configuration Manager 2007 Management Pack
Management Pack Monitoring Scenarios for Configuration Manager 2007
Performing Operational Tasks for the Configuration Manager 2007 Management Pack
Reference for the Configuration Manager 2007 Management Pack
Troubleshooting the Configuration Manager 2007 Management Pack


Daily Tasks for Configuration Manager 2007 Management Pack

It is recommended that you perform the following tasks on a daily basis:

  • Review computer group membership.

  • Verify that all Operations Manager 2007 agents are communicating with the Operations Manager 2007 Server.

  • Review Site Hierarchy State View.

  • Review Site Status View.

  • Review Site Hierarchy Diagram.

  • Review all open alerts. Drill down using the Health Explorer in any of the views or diagrams.

  • Review performance backlogs.

  • Review performance processing rates.

  • Review Operations Manager 2007 agent and server performance.

  • If ConfigMgr Site backup is done on a daily basis, review backup status and backup files.

  • Review events (optional).

Review All Open Alerts

Many of the alerts in the Configuration Manager 2007 Management Pack are displayed in the following alert description format:

$Computer$ <Rule Name>

$Description$

Event details

Review all alerts in Operations Manager 2007 to ensure that they are addressed in a timely manner. You can use any of the following methods to review open alerts:

  • In the Operations Console, click the Monitoring button, expand Microsoft System Center Configuration Manager 2007, and click Alerts.

  • In the Operations Console, click the Monitoring button, expand Microsoft System Center Configuration Manager 2007, and click General. Select Alerts that are New in the last 72 hours.

  • Alerts can be viewed by computer or computer group by clicking Authoring Mode and selecting Groups. Right-click the Configuration Manager 2007 computer group that you want to examine, select State View, and then select Open Alerts.

  • Alerts can be viewed through the Computer State view. The view displays a list of computers and their discovered classes. Right-click any computer, and select Open Alerts View to get a listing of its current alerts prioritized by severity.

  • Alerts can be viewed through the Site State view. The Site State view displays a list of sites and their discovered classes. Right-click any site, and select Open Alerts View to get a listing of its current alerts prioritized by severity.

  • Alerts can be viewed through the Site Hierarchy State view. The Site Hierarchy State view displays the site hierarchy and its discovered classes. Right-click the hierarchy instance, and select Open Alerts View to get a listing of its current alerts prioritized by severity.

  • Alerts can be viewed through the Site Hierarchy Diagram view. The Site Hierarchy Diagram view displays a graphical representation of the Configuration Manager 2007 site hierarchy. Right-click any of the objects displayed in the diagram, and select Open Alerts View to get a listing of its current alerts prioritized by severity.

It is recommended that you review all new alerts in the following order:

  1. Configuration Manager 2007 installation failure alerts

  2. Configuration Manager 2007 core service alerts

  3. Configuration Manager 2007 dependent service alerts

  4. Configuration Manager 2007 script error alerts

  5. Configuration Manager 2007 server role alerts

  6. Configuration Manager 2007 component alerts

  7. Configuration Manager 2007 site system status summarizer-based alerts

  8. Configuration Manager 2007 status message-based alerts

  9. Configuration Manager 2007 performance threshold alerts

  10. Configuration Manager 2007 Inbox monitoring alerts

  11. Configuration Manager 2007 Outbox monitoring alerts

  12. Configuration Manager 2007 task monitoring alerts

  13. Configuration Manager 2007 Site Backup failed alerts

  14. Configuration Manager 2007 program failed alerts

Review Computer Group Membership

Computer group membership can be verified by using Operations Manager 2007.

In the Operations Console, click the Authoring button, click Groups, and then right-click the appropriate Microsoft Configuration Manager 2007 computer group. Verify that each of the displayed computer groups contains the correct computers.

Verify That Agents Are Communicating with the Operations Manager 2007 Server

Communication failure between the agent and the monitoring infrastructure prevents you from receiving alerts. Verify that the agent and the server running Operations Manager 2007 are communicating by verifying that the health state of the Configuration Manager servers in the Computer State View are not grayed out.

Review Performance Backlogs and Performance Processing Rates

The Performance Backlogs and Performance Processing Rates are extremely useful in detecting daily trends and understanding what is happening in the Configuration Manager hierarchy. Performance Backlogs and Performance Processing Rates can be viewed in Operations Manager 2007.

To Review Performance Backlogs

To review performance backlogs, perform the following steps:

To review performance backlogs

  1. In the Operations Console, click the Monitoring button, and then expand Microsoft System Center Configuration Manager 2007.

Expand Performance, and then expand Backlogs. Next, click the appropriate server role subfolder and view. Click the Show button to specify the computers displayed in the counter graph.

To Review Performance Processing Rates

To review performance processing rates, perform the following steps:

To review performance processing rates

  1. In the Operations Console, click the Monitoring button, and then expand Microsoft System Center Configuration Manager 2007.

  2. Expand Performance, and then expand Processing Rates. Next, click the appropriate server role subfolder and view. Click the Show checkboxes to specify the computers displayed in the counter graph.

To Review Performance Conditions

To review performance conditions, perform the following steps:

To review performance conditions

  1. In the Operations Console, click the Monitoring button, and then expand Microsoft System Center Configuration Manager 2007.

  2. Expand Performance, and then expand Conditions. Next, click the appropriate server role subfolder and view. Select the Show checkboxes to specify the computers to display in the counter graph.

Configuration Manager 2007 Backup Monitoring

You should enable the Configuration Manager 2007 Site Backup maintenance task and schedule backups as required in your enterprise environment. The Configuration Manager Site Backup process supports VSS but does not support runtime backups during the following processes:

  • Copying portions of the Configuration Manager installation folder to the backup export path

  • Backing up the various Configuration Manager registry values

  • Backing up the Configuration Manager site database in a server running Microsoft SQL Server™

When backup is complete, the Configuration Manager Site Backup service restarts the SMS services. These service stops and starts are normal during the backup process and do not indicate any critical error. The alerts that would normally occur from these stopped services are suppressed during Configuration Manager Site Backup because backup will pause the MOM Agent, essentially putting it into an agent maintenance mode. To correlate the start and completion of a site, you should enable the following rules, which raise informational alerts when the SMS Site Backup service starts or stops:

  • ConfigMgr 2007 service stopped running: SMS_SITE_BACKUP

  • ConfigMgr 2007 service started running: SMS_SITE_BACKUP

The following alerts are raised when the Configuration Manager Site Backup service fails to start or unexpectedly stops:

  • ConfigMgr 2007 service failure: SMS_SITE_BACKUP terminated unexpectedly

  • ConfigMgr 2007 service failure: SMS_SITE_BACKUP hung on starting

  • ConfigMgr 2007 service failure: SMS_SITE_BACKUP failed to start

  • ConfigMgr 2007 service failure: SMS_SITE_BACKUP was unable to log on

  • ConfigMgr 2007 service failure: SMS_SITE_BACKUP depends on another service that failed to start or is nonexistent

If you see an alert indicating that the service terminated unexpectedly, verify that all stopped services have been restarted. The Configuration Manager Site Backup service might have terminated before restarting those services.

The following status message alerts are generated to show the success or failure of the backup process:

  • ConfigMgr 2007 Status: Site Backup completed successfully

  • ConfigMgr 2007 Status: Site Backup failed

  • ConfigMgr 2007 Status: Site Backup cannot begin the backup process until the current backup task completes

  • ConfigMgr 2007 Status: Site Backup found that the SQL backup path is empty or invalid

The failure alert might have been raised because of access issues, low disk space, failure to start or stop certain services, or failures in SQL Server operations.

Review Events

It is recommended that you review events on a regular basis because they indicate noncritical failures and provide insight into how the Operations Manager 2007 agent is functioning.

To Review Events

To review events, perform the following steps:

To review events

  1. In the Operations Console, click the Monitoring button.

  2. Expand Microsoft System Center Configuration Manager 2007, and then click Events.

See Also

Concepts

Configuration Manager 2007 Integration with Operations Manager 2007

Other Resources

Management Pack Monitoring Scenarios for Configuration Manager 2007
Reference for the Configuration Manager 2007 Management Pack
Troubleshooting the Configuration Manager 2007 Management Pack


Weekly Tasks for Configuration Manager 2007 Management Pack

In addition to the tasks that you perform daily, perform the following tasks on a weekly basis:

  • Review the reports. For a list of the reports included in the Configuration Manager 2007 Management Pack, see the Reports for the Configuration Manager 2007 Management Pack section in this guide.

  • Review the past week’s alerts, events, server availability, configuration changes, and performance for potential problems and trends.

  • If needed, adjust the Operations Manager 2007 configuration settings, such as the Operations Manager 2007 agent heartbeat interval, alert settings, and database grooming parameters.

  • Review the backup history of Configuration Manager 2007 sites.

  • Review the backup history of the Operations Manager 2007 configuration group for Configuration Manager 2007.

  • Review the SQL Server database and log.

  • Run the Configuration Manager 2007 availability reports to get the availability of Configuration Manager 2007 servers and their roles.

  • Verify your Configuration Manager 2007 hierarchy by using the Configuration Manager 2007 Site Hierarchy Diagram.

See Also

Concepts

Daily Tasks for Configuration Manager 2007 Management Pack
Monthly Tasks for Configuration Manager 2007 Management Pack

Other Resources

Troubleshooting the Configuration Manager 2007 Management Pack
Reference for the Configuration Manager 2007 Management Pack


Monthly Tasks for Configuration Manager 2007 Management Pack

In addition to the tasks that you perform daily and weekly, review data in the following categories on a monthly basis:

  • Review notification subscriptions and recipients. Verify that the appropriate groups and classes are selected for each subscription.

Most Common Alerts and Events

  • Most common alerts

  • Most common events

  • Most common alerts and events by computer and class

  • Most common alerts and events by Configuration Manager 2007 component

  • Most common alerts and events by Configuration Manager 2007 server role

Develop an action plan to reduce these numbers.

Configuration Manager 2007 Backlog Monitoring

Look at performance raw reports relating to the backlog trends on various site systems.

Configuration Manager 2007 Backlog Trends

Review performance raw and rate-related reports to ensure that there is not a long-term upward trend in the number of backlogs or an unacceptable level of backlogs affecting service level agreements (SLAs) on a Configuration Manager 2007 site system. Review the following:

  • Discovery data records

  • Hardware inventory

  • Software inventory

  • Software metering

  • Status messages

  • State Messages

General System Performance

Review the Server System Resource Performance report to examine system performance for the following:

  • Disk usage

  • Memory usage

  • Processor usage

Server Role Performance

Review the raw and rate performance reports for each of the following roles:

  • Device Management Point

  • Management Point

  • Site Server

Configuration Manager 2007 Availability

Run the Configuration Manager 2007 availability reports to review the availability of Configuration Manager 2007 servers and Configuration Manager 2007 server roles.

Configuration Manager 2007 Site Hierarchy Monitoring

Review agent installation in the Configuration Manager Site Hierarchy and determine if there is sufficient monitoring coverage for the deployed servers. New Configuration Manager servers may have been deployed that do not yet have a MOM Agent installed on them.

See Also

Concepts

Daily Tasks for Configuration Manager 2007 Management Pack
Weekly Tasks for Configuration Manager 2007 Management Pack
Configuration Manager 2007 Integration with Operations Manager 2007

Other Resources

Performing Operational Tasks for the Configuration Manager 2007 Management Pack
Reference for the Configuration Manager 2007 Management Pack
Troubleshooting the Configuration Manager 2007 Management Pack


Troubleshooting the Configuration Manager 2007 Management Pack

There are a number of actions that you can take to troubleshoot product issues:

  • Ensure that Operations Manager 2007 is installed properly.

  • Ensure that Operations Manager 2007 configuration settings are set properly.

  • Ensure that all System Center Configuration Manager 2007 systems have been configured properly with the Operations Management registry key.

  • Ensure that all managed Configuration Manager 2007 Provider and Configuration Manager 2007 site server computers have the Operations Manager 2007 agent installed and are enabled to proxy for other computers.

  • Verify that your import of the Management Pack is complete and successful.

  • Ensure that all relevant entities are enabled, such as rules and monitors.

  • Ensure that the computer groups are populated with the correct computers. You can use the Authoring mode Groups node in the console to perform this inspection.

  • Ensure that all agents are healthy.

  • Ensure that the heartbeat interval is set properly and that the rules are propagated to the Operations Manager 2007 agent computer.

  • Ensure that dependent services, including Windows Management Instrumentation (WMI), World Wide Web Publishing Service, Internet Information Services (IIS) Admin Service, Background Intelligent Transfer Service (BITS), Windows Server Update Services (WSUS), Windows Deployment Services Server (WDS), Trivial FTP Daemon (TFTPD), and MSSQLServer, are installed and running properly on Configuration Manager 2007 site systems.

  • Ensure that all performance counters are properly installed.

  • Ensure that scripts have sufficient permissions to access the resources they require should the Action Account be something other than Local System.

In This Section

Known Issues for the Configuration Manager 2007 Management Pack

See Also

Other Resources

Overview of Configuration Manager 2007 Management Pack
Deploying the Configuration Manager 2007 Management Pack
Management Pack Monitoring Scenarios for Configuration Manager 2007
Performing Operational Tasks for the Configuration Manager 2007 Management Pack
Reference for the Configuration Manager 2007 Management Pack


Known Issues for the Configuration Manager 2007 Management Pack

The following are known issues with the Configuration Manager 2007 Management Pack for Operations Manager 2007.

Configuration Manager 2007 Might Interfere with the Installation of Non-Microsoft Software That Stops the WMI Service

WMI Monitoring

Configuration Manager 2007 Management Pack Cannot Detect SMS Secondary Site if SMS Administrator Console Installed on the Same Computer

System Restarts Provide Limited Alerts

Monitor SMS Status Messages Script in Configuration Manager 2007

Monitor Site Summarizer Script in Configuration Manager 2007 Is Offset From the Default Site System Status Summarizer Interval

BITS Monitoring Disabled by Default

Application Provider Path Is Set to SMS_INSTALL_DIR_PATH% \ Logs by Default, That Might Not be Valid on Every Configuration Manager Site Server

Status Message Rules That Monitor Sender Connectivity Have a Dependency on the Sender Functioning

Script errors in the Site Topology View Portray Installation Path Instead of Computer Name

Agent Required on All Configuration Manager Servers for Site Hierarchy Diagram Support

SMS 2003 Tasks Appear in the Configuration Manager 2007 State View

Configuration Manager Might Interfere with the Installation of Non-Microsoft Software That Stops the WMI Service

The Configuration Manager 2007 Management Pack might interfere with the installation of non-Microsoft software that accesses the Windows Management Instrumentation (WMI) service. Most of the Management Pack’s scripts use WMI to access the registry and can restart the WMI service. If the WMI service is enabled and can be started, Component Object Model (COM) will successfully restart WMI.

If non-Microsoft software stops but does not disable WMI during an installation or upgrade, the automatic restart of the WMI script might impact the success of the non-Microsoft software installation. This can pose a problem for WMI or WMI provider upgrades if the installation program does not first disable the WMI service. This issue applies to any client of WMI.

WMI Monitoring

  • The following rules are based on Windows NT® system event log events from Service Control Manager for unexpected service failures. There are no known operating system limitations for these rules.

  • Configuration Manager 2007 dependent service failure: Windows Management Instrumentation terminated unexpectedly.

  • Configuration Manager 2007 dependent service failure: Windows Management Instrumentation hung on starting.

  • Configuration Manager 2007 dependent service failure: Windows Management Instrumentation failed to start.

  • Configuration Manager 2007 dependent service failure: Windows Management Instrumentation was unable to log on.

  • Configuration Manager 2007 dependent service failure: Windows Management Instrumentation depends on another service which failed to start or is nonexistent.

Configuration Manager 2007 Management Pack Cannot Detect Secondary Site If ConfigMgr 2007 Administrator Console Is Installed on the Same Computer

The installation of a Configuration Manager 2007 Administrator console on a computer that is also a Configuration Manager 2007 secondary site server causes the Configuration Manager 2007 Management Pack to fail to identify the server as a Configuration Manager 2007 secondary site server.

As a workaround for this issue, when you install the Configuration Manager 2007 Administrator console on a Configuration Manager 2007 secondary site server, you need to change the registry value HKLM\SOFTWARE\Microsoft\SMS\Setup\Type from 4 to 2.

System Restarts Provide Limited Alerts

In the case of a system restart, you might receive only a few service stop alerts. There are no events or alerts indicating that the system was restarted. The best solution to detect an expected or unexpected system shutdown is to install the Microsoft Windows Servers Base Operating System Management Pack, which contains a rule that alerts you of a system restart. Other methods for determining whether a system restart has occurred are to check Configuration Manager 2007 logs, Operations Manager 2007 NT event log, Windows NT event logs, and Operations Manager 2007 events for agent communication.

Monitor SMS Status Messages Script in Configuration Manager 2007

When the Configuration Manager 2007 status message table exceeds 4,294,967,296 messages, the record ID restarts at zero. The Monitor SMS Status Messages script in Configuration Manager 2007 does not have a mechanism for detecting when the record ID has restarted at zero. The script currently looks forward only from the record ID of the last status message that it processed. If the record ID restarts, the Management Pack is not able to detect any new status messages.

On the site server, note the Next Status Message Record ID registry value in the HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\SMS\COMPONENTS\SMS_STATUS_MANAGER registry key. This is the next record ID placed in the SQL StatusMessages table. If this value is less than the LastRecordID value, the StatusMessages table has looped back around and restarted. The script does not process messages again until the Next Status Message Record ID registry value is greater than the LastRecordID value in the VarSet file.

You should periodically monitor the HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\SMS\COMPONENTS\SMS_STATUS_MANAGER registry key on the site server for the record ID of the next status message. Small organizations or small sites that are low in the SMS hierarchy should check this registry key every two to three months. Large organizations or sites with several child sites should check this registry key every month. If the value approaches 4,294,967,296, monitor it more frequently. After the record ID has reset to zero, you must unblock status message monitoring on the computer running your site server.

One way to automate registry key monitoring is to create a script or discovery rule for computers that are nearing this threshold.

To locate all Configuration Manager 2007 site databases in your configuration group, perform the following procedure. Note that the Site Database Server role is actually discovered now in ConfigMgr on the Site Server in order to support clustered SQL Servers.

Procedure

To locate all Configuration Manager 2007 site databases in your configuration group and unblock status messaging monitoring

  1. In the Operations Console, click the Authoring button, and then select Groups.

  2. In the results pane, search for group names containing Microsoft ConfigMgr 2007 Site Database Servers Computer Group.

  3. Right-click the group name whose members you want to locate, and then select View Group Members.

  4. On the computer hosting the Configuration Manager 2007 site database role, in the path specified by the TMP environment variable of the user context under which the scripts are run (the Windows Temp folder in the case of Local System), open the following text file: ConfigMgr 2007 Monitor SMS Status Messages.SCOM2007.VarSet t. The LastRecordID_[SMSDatabaseName] entry is a record ID value that indicates the last status message in the SQL StatusMessages table that the script processed.

  5. Change the LastRecordID_[SMSDatabaseName] value to be equal to the Next Status Message record ID registry value minus one. If the result is 4,294,967,296, set the value to zero and save the file.

Monitor Site Summarizer Script in Configuration Manager 2007 Is Offset from the Default Site System Status Summarizer Interval

The interval at which the Monitor Site System Summarizer script in Configuration Manager 2007 runs is offset by 10 minutes from the site system status summarizer polling interval of one hour on the hour. Although the Configuration Manager Administrator console allows for configuring the site system status summarizer schedule, it does not change this polling interval, rather only the interval for other maintenance tasks. The Monitor Site System Summarizer script in Configuration Manager is run Every 60 Minutes Synchronize at 00:10. The 10-minute offset period allows time for the site system status summarizer to complete its cycle. If this is an insufficient period of time, it should be extended; otherwise, the script finishes before the site system summarizer completes its cycle. This can result in old site system status being reported.

BITS Monitoring Disabled by Default

Because the Background Intelligent Transfer Service (BITS) service is started upon demand by the Configuration Manager 2007 Client, the following rule is disabled by default in the Configuration Manager Management Pack:

  • ConfigMgr 2007 dependent service running: Background Intelligent Transfer Service

You should enable this rule if you have the service configured to automatically start.

The following rules are enabled by default in order to monitor issues with the BITS service and to report if the SMS Agent Host is unable to start the BITS service when required:

  • ConfigMgr 2007 service failure: Background Intelligent Transfer Service terminated unexpectedly.

  • ConfigMgr 2007 service failure: Background Intelligent Transfer Service hung on starting.

  • ConfigMgr 2007 service failure: Background Intelligent Transfer Service failed to start.

  • ConfigMgr 2007 service failure: Background Intelligent Transfer Service was unable to log on.

  • ConfigMgr 2007 service failure: Background Intelligent Transfer Service depends on another service which failed to start or is nonexistent.

Application Provider Path Is Set to SMS_INSTALL_DIR_PATH% \ Logs by Default, That Might Not Be Valid on Every SMS Site Server

The following component rules use application logs:

  • ConfigMgr 2007 Component: The sender cannot connect to remote site over the LAN (Standard Security).

  • ConfigMgr 2007 Component: The sender cannot connect to remote site over the RAS connection.

  • ConfigMgr 2007 Component: The sender cannot connect to remote site over the LAN (Advanced Security).

  • ConfigMgr 2007 Component: Distribution Manager failed to process a package.

  • ConfigMgr 2007 Component: Distribution Manager failed to insert an SMS Package because SDM Type Content is not present in the CI_Contents table.

  • ConfigMgr 2007 Component: Policy Provider failed to get new software update policies from the SMS Site Database.

  • ConfigMgr 2007 Component: Policy Provider failed to create new software update policy.

  • ConfigMgr 2007 Component: Policy Provider failed to get new compliance policies from the SMS Site Database.

  • ConfigMgr 2007 Component: Policy Provider failed to create new compliance policy.

  • ConfigMgr 2007 Component: Policy Provider failed to notify Hierarchy Manager of a policy change

For these rules to work, you need to create the %SMS_INSTALL_DIR_PATH% environment variable on your site server with the installation path that was specified for your site installation. The environment variable path should not end in a backslash. Each Configuration Manager 2007 server with a sender must be a managed computer.

All rules except ConfigMgr 2007 Component: Distribution Manager failed to process a package are enabled by default.

Status Message Rules That Monitor Sender Connectivity Have a Dependency on the Sender Functioning

If the sender cannot connect to its parent site, status messages do not flow up the Configuration Manager hierarchy and the Management Pack does not generate an alert on those status messages. This is especially significant in the case of secondary sites, which do not have the ConfigMgr 2007 Monitor Status Message script running. The following status message rules that monitor sender connectivity have a dependency on the sender functioning and are disabled by default:

  • ConfigMgr 2007 Status: The sender cannot connect to remote site over the LAN (Standard Security).

  • ConfigMgr 2007 Status: The sender cannot connect to remote site over the RAS connection.

  • ConfigMgr 2007 Status: The sender cannot connect to remote site over the LAN (Advanced Security).

Note
All of these rules are disabled by default. For these rules to work, each SMS site database server, or at a minimum the central site, must be a managed computer.

A parallel monitoring method has been provided based on the Configuration Manager 2007 sender log. These rules are enabled by default. If you disable these rules, you should consider enabling the above companion status message rules. Do not enable both sets of rules because duplicate alerts will be raised. There is no consolidation of these events or alert rules that addresses both the status message and the component rule being active.

  • ConfigMgr 2007 Component: The sender cannot connect to remote site over the LAN (Standard Security).

  • ConfigMgr 2007 Component: The sender cannot connect to remote site over the RAS connection.

  • ConfigMgr 2007 Component: The sender cannot connect to remote site over the LAN (Advanced Security).

For these rules to work, you need to create the %SMS_INSTALL_DIR_PATH% environment variable on your site server with the installation path that was specified for your site installation. The environment variable path should not end in a backslash. Also, each Configuration Manager server with a sender must be a managed computer. For more information, see Application Provider Path Is Set to SMS_INSTALL_DIR_PATH% \ Logs by Default, That Might Not be Valid on Every Configuration Manager Site Server.

Script Errors in the Site Hierarchy Discovery View Portray Installation Path Instead of Computer Name

When viewing script errors from the ConfigMgr 2007 Site Hierarchy Discovery script and from natively created rules, the installation class of the computer generating the error is portrayed as the Source. The computer name of the computer generating the error is portrayed as part of the Alert Description or the Path for the script error.

Agent Required on All Configuration Manager Servers for Site Hierarchy Diagram Support

For the Site Hierarchy Diagram to function, the agent must be installed locally on all Configuration Manager Servers in a site, including any remote SQL servers hosting the site database. This is true for all sites being monitored, including central sites, primary sites, and secondary sites.

SMS 2003 Tasks Appear in the Configuration Manager 2007 State View

When both System Management Server (SMS) 2003 and Configuration Manager 2007 Management Packs are installed, the SMS 2003 tasks are visible in the Configuration Manager 2007 State view because SMS 2003 tasks are targeted at Windows Computer class instead of SMS Server class.

See Also

Concepts

Supported Configurations for the Configuration Manager 2007 Management Pack

Other Resources

Troubleshooting the Configuration Manager 2007 Management Pack
Overview of Configuration Manager 2007 Management Pack
Reference for the Configuration Manager 2007 Management Pack


Reference for the Configuration Manager 2007 Management Pack

The following reference materials offer guidance for Operations Manager 2007 and Configuration Manager 2007.

In This Section

Additional Resources for Configuration Manager 2007 Management Pack

Sites and Components for Configuration Manager 2007 Management Pack

Computer Groups for the Configuration Manager 2007 Management Pack

Installation Classes for the Configuration Manager 2007 Management Pack

Scripts for the Configuration Manager 2007 Management Pack

Views for the Configuration Manager 2007 Management Pack

Diagrams for the Configuration Manager 2007 Management Pack

Reports for the Configuration Manager 2007 Management Pack

See Also

Other Resources

Overview of Configuration Manager 2007 Management Pack
Deploying the Configuration Manager 2007 Management Pack
Management Pack Monitoring Scenarios for Configuration Manager 2007
Performing Operational Tasks for the Configuration Manager 2007 Management Pack


Additional Resources for Configuration Manager 2007 Management Pack

The following resources are available for the System Center Configuration Manager 2007 Management Pack.

Microsoft Operations Manager 2007

To access the Operations Manager 2007 core product documentation on the Internet and for the latest information about System Center Operations Manager 2007, see the Operations Manager 2007 product Web page (http://go.microsoft.com/fwlink/?LinkID=83259).

System Center Configuration Manager 2007

All of the information that you need for deploying and using Configuration Manager 2007 is provided in the core product documentation, the Configuration Manager 2007 Administrator console Help, the Configuration Manager 2007 glossary, and the Configuration Manager 2007 Online Library. The Configuration Manager 2007 Documentation Library and Configuration Manager 2007 Administrator console Help are accessible from the Configuration Manager 2007 Administrator console.

Configuration Manager 2007 Online Library

  • The Configuration Manager 2007 Documentation Library provides information on the information that is needed for deploying and using Configuration Manager 2007. The documentation library is installed with Configuration Manager 2007.

Configuration Manager 2007 on the Web

  • For the latest information about Configuration Manager 2007, see the Configuration Manager Documentation Library Web page (http://go.microsoft.com/fwlink/?LinkId=98803).

  • For more assistance, see a list of additional support options in the support section of the Configuration Manager Web site at Support for Configuration Manager (http://go.microsoft.com/fwlink/?LinkId=98800).

  • To search the Microsoft Knowledge Base and other technical resources for fast, accurate answers to SMS questions, visit the Microsoft Help and Support Web site. You can query the Knowledge Base to find an article about a specific issue by using the "Qxxxxxx" number or the "xxxxxx" number that is assigned to the issue.

Providing Feedback

  • Help the Configuration Manager 2007 documentation team ship the kind of product information that you need most by giving us your feedback and comments. Send your feedback about our documentation to Configuration Manager Documentation.

See Also

Concepts

Sites and Components for Configuration Manager 2007 Management Pack
Computer Groups for the Configuration Manager 2007 Management Pack
Installation Classes for the Configuration Manager 2007 Management Pack
Scripts for the Configuration Manager 2007 Management Pack
Views for the Configuration Manager 2007 Management Pack
Diagrams for the Configuration Manager 2007 Management Pack
Reports for the Configuration Manager 2007 Management Pack


Sites and Components for Configuration Manager 2007 Management Pack

System Center Configuration Manager components include the Configuration Manager central site server, Configuration Manager site database, and Configuration Manager Administrator console. Typically, the Configuration Manager central site server, Configuration Manager site database, and Configuration Manager Administrator console reside on the same server and each site system role resides on a dedicated server. A central site server and database, together with any site system roles, make up a single Configuration Manager site. A single Configuration Manager site might include multiple duplicate site system roles. Configuration Manager 2007 sites can be tiered. A single Configuration Manager site might not include some site server roles, such as a server locator point.

The Configuration Manager 2007 Management Pack is designed to monitor the Configuration Manager site hierarchy and the servers within it. This Management Pack is not designed to monitor Configuration Manager functionality on Configuration Manager clients. However, Operations Manager 2007 might be used to monitor other applications that reside on a Configuration Manager client computer.

For more information about Configuration Manager 2007 components, see the Configuration Manager Online Library. For links to Configuration Manager documentation, see the Additional Resources for Configuration Manager 2007 Management Pack section in this guide.

Key server roles include the following:

  • Distribution point

  • Management point

  • Server locator point

  • Reporting point

  • Software update point

  • Site server

  • Site database

  • Configuration Manager Provider

  • Mobile device management point

  • Configuration Manager Administrator console

  • Fallback Status Point

  • PXE Service Point

  • System Health Validator Point

  • Server Locator Point

  • State Migration Point

Distribution Point

The distribution point stores Configuration Manager package source files that Configuration Manager clients use when installing software programs distributed by Configuration Manager. When the Configuration Manager administrator advertises a program, the advertisement and program information are available to clients through a management point.

When Configuration Manager is set up, the site server is automatically assigned the distribution point role. The Configuration Manager administrator can enable the distribution point to use Background Intelligent Transfer Service (BITS), which enables incremental package file download to clients.

Clients use BITS to automatically detect the client network connection capacity and adjust transfer rates efficiently. This is supported only on clients running Microsoft Windows XP Professional, Microsoft Windows Server™ 2003 operating systems, and the Windows Vista operating systems.

Management Point

The management point is the primary point of contact between Configuration Manager clients and the Configuration Manager site server. A Configuration Manager site has only one default management point, although multiple management points can be configured with Windows Network Load Balancing Service. A management point:

  • Provides specific client configuration details for the client after client installation.

  • Serves as the location where client computers check for advertisements.

  • Locates distribution points for clients.

  • Receives inventory, software metering, and status information from clients and forwards it to the Configuration Manager site server.

Server Locator Point

The server locator point locates management points for Configuration Manager clients. The server locator point is mostly used in client installation. The server locator point:

  • Locates a management point for the clients if the client is configured for automatic Configuration Manager site assignment.

  • Provides clients with the location of the management point during Logon Script-initiated Client Installation and during an installation without sufficient credentials.

Reporting Point

A reporting point is a server running Internet Information Services (IIS) that hosts the code for Report Viewer and any supplemental reports. A reporting point communicates only with its Configuration Manager site database server.

Software Update Point

The software update point in Configuration Manager 2007 is a required component of software updates and is installed as a site system role in the Configuration Manager console. The software update point site system role must be created on a site system server that has Windows Server Update Services (WSUS) 3.0 installed and that interacts with the WSUS components to configure update settings, to request synchronization to the upstream update server, and to synchronize the updates from the WSUS database to the site server database.

To enable monitoring for software update point and Windows Server Update Services perform the following procedure.

To enable monitoring for software update point and Windows Server Update Services

  1. In the Operations Console, click Authoring.

  2. In the navigation pane, navigate to Authoring > Management Pack Objects, and then click Rules.

  3. In the rules pane, search for the rule to be enabled. If the Look for bar is not available above the rule list, navigate View, and then click Find.

  4. Right-click the rule name for the rule to be enabled, navigate Overrides > Override the Rule, and click the set of objects to be monitored by the rule.

  5. Set the Enabled property to True, and modify any thresholds as appropriate for your environment. Click OK.

Site Server

A Configuration Manager site system role assigned to the server on which Configuration Manager Setup has been run successfully. When a Configuration Manager site is installed on a computer, that computer is automatically assigned the site server role. Every Configuration Manager site has one site server.

Site Database

A Configuration Manager site system role assigned to the computer that hosts the Configuration Manager site database (a SQL Server database).

Configuration Manager Provider

The Configuration Manager Provider processes requests for data from the Configuration Manager site database. The Configuration Manager Provider role is installed on the same computer as the Configuration Manager site server or the Configuration Manager site database. It is recommended that you install both the Configuration Manager Provider and the Configuration Manager site database on the site server. The Configuration Manager Provider provides access to data for the Configuration Manager Administrator console installed on the site.

Mobile Device Management Point

The device management point is a site role dependent on the Configuration Manager 2007 management point role. The device management point is the communication point for Configuration Manager 2007 Windows Mobile device clients and must reside on the same computer as the Configuration Manager 2007 management point.

Configuration Manager Administrator Console

The Configuration Manager 2007 Administrator console is the graphical user interface used to administer Configuration Manager. This interface uses a Microsoft Management Console (MMC) snap-in that is provided with the Configuration Manager product software. The Configuration Manager Administrator console is installed by default when you install a primary site server. It can also be installed on other servers or workstations.

Fallback Status Point

A Configuration Manager site system that gathers state messages from clients that cannot install properly, cannot assign to a Configuration Manager 2007 site, or cannot find or communicate with their assigned management point. State messages are also sent to the fallback status point when the client installs and assigns successfully.

PXE Service Point

Configuration Manager 2007 uses the PXE service point site role to initiate the operating system deployment process. The PXE service point must be configured to respond to PXE boot requests made by Configuration Manager 2007 clients on the network and then interact with Configuration Manager 2007 infrastructure to determine the appropriate deployment actions to take.

System Health Validator Point

The System Health Validator point is the Configuration Manager 2007 site system role that runs on Windows Server 2008 with the Network Policy Server (NPS) role. When using Network Access Protection (NAP) in Configuration Manager 2007, the System Health Validator point is needed to validate the statement of health from NAP-capable Configuration Manager clients to produce a client health state of compliant or noncompliant, or an error condition that prevented the health state from being determined.

Server Locator Point

Server locator points are used in a Configuration Manager 2007 hierarchy to complete client site assignment on the intranet and help clients find management points when they cannot find that information through Active Directory Domain Services. Intranet clients use Active Directory Domain Services as their preferred method to complete site assignment and find management points. However, clients must use a server locator point if the Active Directory schema is not extended for Configuration Manager 2007 or the site is not published to Active Directory Domain Services, or if clients do not belong to the same Active Directory forest as the site server's forest.

State Migration Point

The state migration point is used by Configuration Manager 2007 Operating System Deployment when migrating user state and settings from one computer to another as part of the operating system image deployment. The state migration point requires Internet Information Services to be installed.

See Also

Concepts

Additional Resources for Configuration Manager 2007 Management Pack
Computer Groups for the Configuration Manager 2007 Management Pack
Installation Classes for the Configuration Manager 2007 Management Pack
Scripts for the Configuration Manager 2007 Management Pack
Views for the Configuration Manager 2007 Management Pack
Diagrams for the Configuration Manager 2007 Management Pack
Reports for the Configuration Manager 2007 Management Pack


Computer Groups for the Configuration Manager 2007 Management Pack

The Configuration Manager 2007 Management Pack provides the following computer groups:

  • Microsoft ConfigMgr 2007 Administrator Consoles - ConfigMgr 2007 site systems, member servers, or workstations that have the administrator console installed.

  • Microsoft ConfigMgr 2007 Advanced Clients - ConfigMgr 2007 Advanced Client installed on any system.

  • Microsoft ConfigMgr 2007 Branch Distribution Point Servers - ConfigMgr 2007 clients that are Branch Distribution Point servers.

  • Microsoft ConfigMgr 2007 Central Site Servers - ConfigMgr 2007 site servers that are central site servers.

  • Microsoft ConfigMgr 2007 Clients - ConfigMgr 2007 computers with the ConfigMgr 2007 Client installed.

  • Microsoft ConfigMgr 2007 Component Servers based on IIS - ConfigMgr 2007 site servers or site systems running IIS services.

  • Microsoft ConfigMgr 2007 Component Servers based on SMS Executive - ConfigMgr 2007 site servers or site systems running the SMS Executive service.

  • Microsoft ConfigMgr 2007 Device Management Point Servers - ConfigMgr 2007 site servers or site systems that are Device Management Points.

  • Microsoft ConfigMgr 2007 Distribution Point Servers - ConfigMgr 2007 site servers or site systems that are Distribution Point servers.

  • Microsoft ConfigMgr 2007 Fallback Status Point Servers - ConfigMgr 2007 site systems with the ConfigMgr Fallback Status Point installed.

  • Microsoft ConfigMgr 2007 Management Point Servers - ConfigMgr 2007 site servers or site systems that are Management Points.

  • Microsoft ConfigMgr 2007 Primary Site Servers - ConfigMgr 2007 site systems that are primary site servers.

  • Microsoft ConfigMgr 2007 Providers - ConfigMgr 2007 site servers or site systems that are ConfigMgr Providers.

  • Microsoft ConfigMgr 2007 PXE Server - ConfigMgr 2007 site systems that are Windows Deployment Services Servers with the ConfigMgr PXE Service Point installed.

  • Microsoft ConfigMgr 2007 Reporting Point Servers - ConfigMgr 2007 site servers or site systems that are Reporting Points.

  • Microsoft ConfigMgr 2007 Secondary Site Servers - ConfigMgr 2007 site servers that are secondary site servers.

  • Microsoft ConfigMgr 2007 Server Locator Point Servers - ConfigMgr 2007 site servers or site systems that are Server Locator Points.

  • Microsoft ConfigMgr 2007 Servers - ConfigMgr 2007 site servers or site systems.

  • Microsoft ConfigMgr 2007 Site Database Servers - ConfigMgr 2007 site servers or site systems that are Site Database Servers.

  • Microsoft ConfigMgr 2007 Site Servers - ConfigMgr 2007 site servers that are primary or secondary site servers.

  • Microsoft ConfigMgr 2007 Software Update Point Servers - ConfigMgr 2007 site systems that are Windows Software Update Services Servers with the ConfigMgr Software Update Point installed.

  • Microsoft ConfigMgr 2007 Standard Distribution Point Servers - ConfigMgr 2007 site servers or site systems that are Standard Distribution Point servers.

  • Microsoft ConfigMgr 2007 State Migration Point Servers - ConfigMgr 2007 site systems with the ConfigMgr State Migration Point installed.

  • Microsoft ConfigMgr 2007 System Health Validator Servers - ConfigMgr 2007 site systems that are Internet Authentication Servers with the ConfigMgr System Health Validator installed.

See Also

Concepts

Additional Resources for Configuration Manager 2007 Management Pack
Sites and Components for Configuration Manager 2007 Management Pack
Installation Classes for the Configuration Manager 2007 Management Pack
Scripts for the Configuration Manager 2007 Management Pack
Views for the Configuration Manager 2007 Management Pack
Diagrams for the Configuration Manager 2007 Management Pack
Reports for the Configuration Manager 2007 Management Pack


Installation Classes for the Configuration Manager 2007 Management Pack

This section lists the installation classes within the System Center Configuration Manager 2007 Management Pack that are used for targeting: rules, monitors, etc. See Authoring in the Operations Manager 2007 Operations console, and set the scope to the specific class(es) of interest.

  • Microsoft ConfigMgr 2007 Administrator Consoles - ConfigMgr 2007 site systems, member servers, or workstations that have the administrator console installed.

  • Microsoft ConfigMgr 2007 Advanced Clients- ConfigMgr 2007 Advanced Client installed on any system.

  • Microsoft ConfigMgr 2007 Branch Distribution Point Servers - ConfigMgr 2007 clients that are Branch Distribution Point servers.

  • Microsoft ConfigMgr 2007 Central Site Servers - ConfigMgr 2007 site servers that are central site servers.

  • Microsoft ConfigMgr 2007 Clients - ConfigMgr 2007 computers with the ConfigMgr 2007 client installed.

  • Microsoft ConfigMgr 2007 Component Servers based on IIS - ConfigMgr 2007 site servers or site systems running IIS services.

  • Microsoft ConfigMgr 2007 Component Servers based on SMS Executive - ConfigMgr 2007 site servers or site systems running the SMS Executive service.

  • Microsoft ConfigMgr 2007 Device Management Point Servers - ConfigMgr 2007 site servers or site systems that are Device Management Points.

  • Microsoft ConfigMgr 2007 Distribution Point Servers - ConfigMgr 2007 site servers or site systems that are Distribution Point servers.

  • Microsoft ConfigMgr 2007 Fallback Status Point Servers - ConfigMgr 2007 site systems with the ConfigMgr Fallback Status Point installed.

  • Microsoft ConfigMgr 2007 Management Point Servers - ConfigMgr 2007 site servers or site systems that are Management Points.

  • Microsoft ConfigMgr 2007 Primary Site Servers - ConfigMgr 2007 site systems that are primary site servers.

  • Microsoft ConfigMgr 2007 Providers - ConfigMgr 2007 site servers or site systems that are ConfigMgr Providers.

  • Microsoft ConfigMgr 2007 PXE Server - ConfigMgr 2007 site systems that are Windows Deployment Services servers with the ConfigMgr PXE Service Point installed.

  • Microsoft ConfigMgr 2007 Reporting Point Servers - ConfigMgr 2007 site servers or site systems that are Reporting Points.

  • Microsoft ConfigMgr 2007 Secondary Site Servers - ConfigMgr 2007 site servers that are secondary site servers.

  • Microsoft ConfigMgr 2007 Server Locator Point Servers - ConfigMgr 2007 site servers or site systems that are Server Locator Points.

  • Microsoft ConfigMgr 2007 Servers - ConfigMgr 2007 site servers or site systems.

  • Microsoft ConfigMgr 2007 Site Database Servers - ConfigMgr 2007 site servers or site systems that are Site Database Servers.

  • Microsoft ConfigMgr 2007 Site Servers - ConfigMgr 2007 site servers that are primary or secondary site servers.

  • Microsoft ConfigMgr 2007 Software Update Point Servers - ConfigMgr 2007 site systems that are Windows Software Update Services servers with the ConfigMgr Software Update Point installed.

  • Microsoft ConfigMgr 2007 Standard Distribution Point Servers - ConfigMgr 2007 site servers or site systems that are Standard Distribution Point servers.

  • Microsoft ConfigMgr 2007 State Migration Point Servers - ConfigMgr 2007 site systems with the ConfigMgr State Migration Point installed.

  • Microsoft ConfigMgr 2007 System Health Validator Servers - ConfigMgr 2007 site systems that are Internet Authentication Servers with the ConfigMgr System Health Validator installed.

See Also

Concepts

Additional Resources for Configuration Manager 2007 Management Pack
Sites and Components for Configuration Manager 2007 Management Pack
Computer Groups for the Configuration Manager 2007 Management Pack
Scripts for the Configuration Manager 2007 Management Pack
Views for the Configuration Manager 2007 Management Pack
Diagrams for the Configuration Manager 2007 Management Pack
Reports for the Configuration Manager 2007 Management Pack


Scripts for the Configuration Manager 2007 Management Pack

The Configuration Manager 2007 Management Pack contains Operations Manager 2007 scripts that run automatically on the agent and scripts that need to be run by an administrator. Additional information about some of these scripts follows in this section.

The following scripts are run by the Operations Manager 2007 agent automatically:

  • ConfigMgr 2007 Monitor Collection Evaluation Tasks

  • ConfigMgr 2007 Monitor Component Health

  • ConfigMgr 2007 Monitor NLB Management Point Health

  • ConfigMgr 2007 Monitor Server Health

  • ConfigMgr 2007 Monitor Site Maintenance Tasks

  • ConfigMgr 2007 Monitor Site System Summarizer

  • ConfigMgr 2007 Monitor SMS Executive Crash Dumps

  • ConfigMgr 2007 Monitor SMS Inbox

  • ConfigMgr 2007 Monitor SMS Status Messages

  • ConfigMgr 2007 Monitor State Message Summary Tasks

  • ConfigMgr 2007 Service Discovery - Client

  • ConfigMgr 2007 Service Discovery - Server

  • ConfigMgr 2007 Site Hierarchy Discovery

ConfigMgr 2007 Monitor SMS Status Messages

Many problems with Configuration Manager 2007 are detected and reported internally through the SMS Status System. Status messages are raised by Configuration Manager 2007 components pertaining to conditions of interest to a Configuration Manager 2007 administrator.

The status messages flow into the database for a Configuration Manager 2007 site and also up the site hierarchy into the parent site’s database. It is possible to monitor the Configuration Manager 2007 status system on a per-site basis, simply by querying the Configuration Manager 2007 status message table of a specified site’s database.

A set of status messages have been chosen for monitoring that reflect the most critical events to Configuration Manager 2007 administrators. When one of these messages is found in the database, an alert is generated.

This script does the following:

  • Checks whether it is running under agentless-managed mode. If so, the script will exit without taking any further action.

  • Initializes global variables.

  • Opens and reads the RecordID of the last status message processed for each Configuration Manager site database being monitored from the ConfigMgr 2007 Monitor SMS Status Messages.VarSet file.

  • Processes status messages found in each Configuration Manager 2007 site database on the local computer.

  • Writes the RecordID of the last status message processed, for the Configuration Manager 2007 Site Database being monitored, to the ConfigMgr 2007 Monitor SMS Status Messages.SCOM2007.VarSet file and closes the file.

The ConfigMgr 2007 Monitor SMS Status Messages script raises events with an Event ID set to the SMS Status Message ID being reported on. The following table describes the format of the raised event.

Format of Events Raised by ConfigMgr 2007 Monitor SMS Status Messages Script

Parameter | Description
EventType | Success, Error, Warning, or Information, depending on the SMS status message severity
EventNumber | SMS Status Message ID
Category | ConfigMgr site code
LoggingDomain | Resource domain of computer
LoggingComputer | NetBIOS name of computer
Parameter1 | NetBIOS name of computer
Parameter2 | ConfigMgr module name—for example, ConfigMgr Server
Parameter3 | ConfigMgr component name
Parameter4 | SMS Message ID
Parameter5 | Win32 error code
Parameter6 | Parent or top-level site code
Parameter7 | RecordID of status message in the SMS Status Message Table
Description | "A new monitored SMS status message on machine <NetBIOS Name> from component <Component Name> with message ID <Message ID> was found in the site <Site Code> database.”

The ConfigMgr 2007 Monitor SMS Status Messages script also reports script errors through Status Message ID number 1102:

EventType= Warning

EventNumber= 1102

Description = The script ConfigMgr 2007 Monitor SMS Status Messages running under processing rule <ScriptProcessingRuleName> encountered a runtime error. The error message will contain the text “Failed to <ErrorDescription>.”

All ConfigMgr 2007 status message monitoring event rules begin with the phrase “ConfigMgr 2007 Status:” and are associated with the ConfigMgr Site Database Servers class.

  • ConfigMgr 2007 Status: Message Monitoring

ConfigMgr 2007 Status: Message Monitoring launches the script every 30 minutes synchronize at 00:02. Summary information is provided on the Knowledge property page of the rule.

Note
ConfigMgr 2007 Status: Message Monitoring will take a long time to run if a lot of historical data resides in the monitored tables. Best practices for this query is to keep status messages pruned to ensure it does not run too long.

  • ConfigMgr 2007 Status: Script error

ConfigMgr 2007 Status: Script error monitors for and alerts on any script error events that might be raised. There is only one script error event, number 1102, which reports all script errors. Information about resolution of the alert is provided on the Knowledge property page of the rule.

  • ConfigMgr 2007 Status: <status message name>

ConfigMgr 2007 Status: <status message name> monitors for and alerts on specific status message events. Information about resolution of the alert is provided on the Knowledge property page of the rule.

All alerts have a description of the event in the following format, where $Description$ is the event description:

$Logging Computer$ - "Rule Name". $Description$

The ConfigMgr 2007 Monitor SMS Status Messages VarSet file is used to persist the RecordID of the last status message processed for a site. The VarSet file is located in the folder specified by the TMP environment variable. It is a tab-delimited file with the following format:

Copy Code
LastRecordID_DBNameRecordID#

For example, LastRecordID_SMS_FLA, with a RecordID of 477860 would indicate that the last RecordID processed from the site database named SMS_FLA was number 477860.

When upgrading the Management Pack from a previous version, the following might be found in the ConfigMgr 2007 Monitor SMS Status Messages VarSet file:

Copy Code
LastRecordID476743
LastRecordID_SMS_FLA477860

The first line, which does not contain a database name, indicates the original version of status message monitoring that did not support multiple database monitoring. The second line, which does contain a database name, SMS_FLA, indicates that the current version of status message monitoring does support multiple database monitoring.

No action will be taken to utilize the first line of data, because in the multiple site database case it is difficult to determine to which database it would correspond. The first line of data is not removed from the VarSet file, because it can be of value in evaluating the new changes and insuring that status message monitoring begins with the correct RecordID after the upgrade. In Configuration Manager 2007, all scripts that access the site database will run from the site server in order to support SQL clusters. This is a change from SMS 2003 where the scripts would always run local to the SQL Server. Instances of the Configuration Manager 2007 Site Database Servers will therefore be the same as discovered instances of Microsoft Configuration Manager Site Servers.

ConfigMgr 2007 Monitor Site System Summarizer

Site System Summarizer

The Site System Status Summarizer is a component thread of the SMS Executive service that maintains status on all defined Configuration Manager 2007 site systems. By default, it polls once every hour, on the hour, for current status. This polling interval is defined in the Configuration Manager 2007 Site Control File. It is recommended that the polling interval not be changed. Status is maintained in a table in the Configuration Manager 2007 site database.

Site System DownSince Status

The Site System Status Summarizer assumes that a site system is down when it cannot contact the site system during one of its polling intervals. This can be due to one of the following factors:

  • The site system is not turned on, not connected to the network, or not functioning properly.

  • The ConfigMgr 2007 Site System Status Summarizer does not have a connection because no connections are available.

  • The ConfigMgr 2007 Site System Status Summarizer does not have sufficient access rights to connect to the site system.

  • Network problems are preventing the ConfigMgr 2007 Site System Status Summarizer from connecting to the site system.

  • The site system has been permanently taken out of service.

The DownSince value is a column in the Summarizer_SiteSystem site database table.

The following constraints exist:

  • The Site System Summarizer polling interval is 1 hour. This interval allows sufficient time for the Site System Status Summarizer to poll all the site systems. For performance reasons, the interval cannot be changed. The summarizer’s time-out interval is controlled by the Startup Schedule property in the Site Control File, not by the Wakeup Interval property. This means that changing the Wakeup Interval property from its default value of 60 has no effect. In addition, changing the Startup Schedule has no effect. By default, it is set for every 60 minutes, and the Site System Status Summarizer polls site systems once per hour, on the hour, regardless of how the Startup Schedule is set.

  • An alert will be raised only if two successive ConfigMgr 2007 Site System Summarizer: Site System is possibly down events occur over a period of 2 hours. This is designed to account for temporary network outages.

  • Configuration Manager 2007 can be unavailable in many ways that the Site System Status Summarizer does not monitor. For example, the Site System Status Summarizer does not consider Configuration Manager unavailable if SMS services are not running or the Configuration Manager 2007 site database is unavailable, as when the SQL Server service is stopped.

  • The Site System Status Summarizer writes the current "DownSince" status for each site object and site system role hosted on a computer to the database, in the Site System Status Summarizer table.

The Site System Status Summarizer monitoring script examines each site system role in the Site System Status Summarizer table. If a site system is marked as down, it raises an event. An alert is subsequently generated based on that event. Multiple roles can generate multiple alerts.

Each Configuration Manager 2007 server role, except for a Configuration Manager 2007 distribution point, establishes two Configuration Manager 2007 server roles by default, one for the specific role and the other for the Configuration Manager 2007 component server. For example, in the case of a site system hosting both a server locator point and a reporting point, if the server was offline for more than 2 hours (two Site System Status Summarizer polling intervals), the Site System Status Summarizer would mark both of these roles, and their Configuration Manager component server roles, as down.

However, only three alerts, one for each server role and one for the physical component server hosting two server roles, would be raised per polling interval for the 2-hour period.

  • The 60-minute schedule, offset from the hour by 10 minutes, has been set as default so that the ConfigMgr 2007 Monitor Site System Summarizer script runs 10 minutes after the beginning of the Site System Status Summarizer polling interval of 1 hour. If the summarizer is taking longer than 10 minutes to complete its cycle, the timed event provider offset should be increased appropriately. Otherwise, the most current site system status messages will be missed.

ConfigMgr 2007 Monitor SMS Executive Crash Dumps Script

The following actions are taken by this script:

  • Determines whether the target computer is running in agentless mode. If so, the script exits without further action. This script uses a local VarSet file for persisting variables, so the Operations Manager 2007 agent must be installed on all target computers running the SMS Executive service.

  • Opens and reads the contents of the local ConfigMgr 2007 Monitor SMS Executive Crash Dumps.SCOM2007.VarSet file under the path specified by the TMP environment variable into a collection. If the file does not exist, no script error event is raised. If the file does exist but can’t be opened, a script error event is raised, with a message containing the following text:

Failed to load script variables.

  • Checks whether a new crash dump has occurred since the last time a check was performed. If so, the script raises an event to report the new crash dump. To raise the script error event, the script does the following:

    • Obtains the ConfigMgr Installation Directory from the registry under the SMS Identification key, registry value "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\SMS\Identification\ Installation Directory". If the path cannot be obtained, the script raises a script error event message with the following text and exits:

Failed to read registry value.

  • Constructs the full path for the CrashDumps directory by appending "\Logs\CrashDumps" to the retrieved Configuration Manager Installation Directory.

  • Checks whether the CrashDumps directory exists. If it doesn’t, the script exits without further action.

  • If the CrashDump directory exists, it obtains the last crash dump folder creation date from the VarSet collection.

  • Checks whether new crash dumps were created and acts only on the most recent one. To determine which is most recent, the saved folder creation date of the last crash dump is used, if available. Date and time comparison is based on folder creation to a resolution of 1 second.

  • If a new crash dump occurred or if it is the first time that the script has run, the script logs and creates event 1710, specifying the new crash dump folder and path. The script saves the folder creation date of the crash dump in the VarSet collection.

  • Writes the contents of the VarSet collection to the local ConfigMgr 2007 Monitor SMS Executive Crash Dumps.SCOM2007.VarSet file and closes the file. If the file does not exist, it is created. If no VarSet variables were set, no entries for them appear in the file. If an error occurs writing the file, a script error event message with the following text is raised: Failed to save script variables.

ConfigMgr 2007 Monitoring SMS Executive Crash Dump Event

The ConfigMgr 2007 Monitor SMS Executive Crash Dumps script reports through event 1710 that a crash has occurred, as described below:

EventType = Error

EventNumber = 1710

Category = SMS Site Code

Description = SMS Executive in site “XXX” has crashed. For details, see crash dump information under <Drive> <ConfigMgrInstallationPath>\Logs\CrashDumps\NewFolder.

ConfigMgr 2007 Monitoring SMS Executive Crash Dumps Script Error Event

The “SMS 2003 Monitor SMS Executive Crash Dumps” script reports runtime script errors through event 1102.

EventType = Warning

EventNumber = 1102

Description = The script “SMS 2003 Monitor SMS Executive Crash Dumps” running under processing rule SMS 2003 Crash Dumps: Monitoring SMS Executive encountered a runtime error. CrLf “Failed to <Message>." ErrorString

See Also

Concepts

Additional Resources for Configuration Manager 2007 Management Pack
Sites and Components for Configuration Manager 2007 Management Pack
Computer Groups for the Configuration Manager 2007 Management Pack
Installation Classes for the Configuration Manager 2007 Management Pack
Views for the Configuration Manager 2007 Management Pack
Diagrams for the Configuration Manager 2007 Management Pack
Reports for the Configuration Manager 2007 Management Pack


Views for the Configuration Manager 2007 Management Pack

The Configuration Manager 2007 Management Pack provides the following common views:

  • Alerts

  • Computer State

  • Events

  • Site Hierarchy Diagram

  • Site Hierarchy State

  • Site State

  • Task Status

  • and the following category view folders

  • General

  • Performance

General

  • Alerts from the Central Site Server in the last 72 hours

  • Alerts that are new in the last 72 hours

Performance Views

It is possible to configure views to display data for particular computers on a per-view basis. The complexity of the graph can be reduced by individually selecting the counter for the computers of interest.

Backlogs\Management Point Servers

  • DDR Backlog in the last 48 hours

  • FileCollection Backlog in the last 48 hours

  • HINV Backlog in the last 48 hours

  • Outbox ddr.box Backlog in the last 48 hours

  • Outbox distmgr.box Backlog in the last 48 hours

  • Outbox hinv.box Backlog in the last 48 hours

  • Outbox rdr.box Backlog in the last 48 hours

  • Outbox sinv.box Backlog in the last 48 hours

  • Outbox stat.box Backlog in the last 48 hours

  • Outbox statemsg.box Backlog in the last 48 hours

  • Outbox swm.box Backlog in the last 48 hours

  • Relay Backlog in the last 48 hours

  • SINV Backlog in the last 48 hours

  • Status Backlog in the last 48 hours

Backlogs\PXE Service Point Servers

  • Database Requests Outstanding in the last 24 hours

Backlogs\Servers Based on SMS Executive

  • Outbox stat.box Backlog in the last 48 hours

  • Outbox statemsg.box Backlog in the last 48 hours

Backlogs\Site Servers

  • DDR Backlog in the last 48 hours

  • HINV Backlog in the last 48 hours

  • Inbox auth/dataldr.box Backlog in the last 48 hours

  • Inbox auth/ddm.box Backlog in the last 48 hours

  • Inbox auth/sinv.box Backlog in the last 48 hours

  • Inbox auth/statesys.box Backlog in the last 48 hours

  • Inbox ciamgr.box Backlog in the last 48 hours

  • Inbox ciamgr.box/RETRY.box Backlog in the last 48 hours

  • Inbox compsumm.box/repl Backlog in the last 48 hours

  • Inbox dataldr.box Backlog in the last 48 hours

  • Inbox ddm.box Backlog in the last 48 hours

  • Inbox despoolr.box/receive Backlog in the last 48 hours

  • Inbox objmgr.box/INCOMING Backlog in the last 48 hours

  • Inbox objmgr.box/INCOMING/Retry Backlog in the last 48 hours

  • Inbox offermgr.box/INCOMING Backlog in the last 48 hours

  • Inbox offersum.box/repl Backlog in the last 48 hours

  • Inbox schedule.box/outboxes/LAN Backlog in the last 48 hours

  • Inbox schedule.box/requests Backlog in the last 48 hours

  • Inbox sinv.box Backlog in the last 48 hours

  • Inbox sitestat.box/repl Backlog in the last 48 hours

  • Inbox statmgr.box/statmsgs Backlog in the last 48 hours

  • Inbox swmproc.box/usage Backlog in the last 48 hours

  • Inbox WOLCMGR.box Backlog in the last 48 hours

  • Inbox WOLCMGR.box/data Backlog in the last 48 hours

  • Scheduler Jobs Backlog in the last 48 hours

  • Scheduler Send Requests Backlog in the last 48 hours

  • SINV Backlog in the last 48 hours

  • SWM Backlog in the last 48 hours

  • Total Number of WOL Requests Pending in the last 48 hours

Conditions\State Migration Point Servers

  • Total Free Disk Space in the last 1 hour

Conditions\System Health Validator Servers

  • Patch CookieInvalid in the last 24 hours

  • Patch CookieMissing in the last 24 hours

  • Patch CookieNew in the last 24 hours

  • Patch CookieNull in the last 24 hours

  • Patch CookieOld in the last 24 hours

  • Patch CookieSame in the last 24 hours

  • Patches Not Installed in the last 24 hours

  • SMS NAP Client Agent Disabled in the last 24 hours

  • SoH Expired Absolute Date in the last 24 hours

  • SoH Expired TTL in the last 24 hours

General\<Server Type>

The following views are available for Management Point Servers, PXE Service Point Servers, Site Servers, Software Update Point Servers, State Migration Point Servers, and System Health Validator Servers.

  • LogicalDisk in the last 48 hours

  • Memory in the last 48 hours

  • Processor in the last 48 hours

Processing Rates

  • *All Message Processing Rates on a ConfigMgr 2007 Management Point Server in the last 24 hours

  • *All Report Processing Rates on a ConfigMgr 2007 Management Point Server in the last 24 hours

  • *All Report Processing Rates on a ConfigMgr 2007 Site Server in the last 24 hours

Processing Rates\Management Point Servers

  • DDRs/second in the last 24 hours

  • DM Database Connection Attempts/second in the last 24 hours

  • DM DDRs/second in the last 24 hours

  • DM Discovery Translation Requests/second in the last 24 hours

  • DM DP Locations/second n the last 24 hours

  • DM Hardware Inventory Translation Requests/second in the last 24 hours

  • DH HINVs/second in the last 24 hours

  • DM ISAPI Requests/second in the last 24 hours

  • DM Machine Setting Requests/second in the last 24 hours

  • DM Package Version Requests/second in the last 24 hours

  • DM SINVs/second in the last 24 hours

  • DM Software Policy Body Requests/second in the last 24 hours

  • DM Software Policy ID Requests/second in the last 24 hours

  • DM Status/second in the last 24 hours

  • DM Total Setting Requests/second in the last 24 hours

  • DP Locations/second in the last 24 hours

  • Get SDM Package Requests Failed/second in the last 24 hours

  • Get SDM Package Requests/second in the last 24 hours

  • GetAuth Requests/second ii the last 24 hours

  • GetPolicy Requests/second in the last 24 hours

  • HINVs/second in the last 24 hours

  • ISAPI Requests/second in the last 24 hours

  • MP Locations/second in the last 24 hours

  • Outbox ddr.box Files Copied Per Minute in the last 24 hours

  • Outbox ddr.box Total File Copy Failures in the last 24 hours

  • Outbox ddr. box Total Files Copied in the last 24 hours

  • Outbox distmgr.box Files Copied Per Minute ii the last 24 hours

  • Outbox distmgr.box Total Files Copy Failures in the last 24 hours

  • Outbox distmgr.box Total Files Copied in the last 24 hours

  • Outbox hinv.box Files Copied Per Minute in the last 24 hours

  • Outbox hinv.box Total File Copy Failures in the last 24 hours

  • Outbox hinv.box Total Files Copied in the last 24 hours

  • Outbox rdr.box Files Copied Per Minute in the last 24 hours

  • Outbox rdr.box Total File Copy Failures in the last 24 hours

  • Outbox rdr.box Total Files Copied in the last 24 hours

  • Outbox sinv.box Files Copied Per Minute in the last 24 hours

  • Outbox sinv.box Total File Copy Failures in the last 24 hours

  • Outbox sinv.box Total Files Copied in the last 24 hours

  • Outbox stat. box Files copied Per Minute in the last 24 hours

  • Outbox stat.box Total File Copy Failures In the last 24 hours

  • Outbox stat.box Total Files Copied in the last 24 hours

  • Outbox statemsg.box Files Copied Per Minute in the last 24 hours

  • Outbox statemsg.box Total File Copy Failures in the last 24 hours

  • Outbox statemsg.box Total Files Copied in the last 24 hours

  • Outbox swm, box Files Copied Per Minute in the last 24 hours

  • Outbox swm.box Total File Copy Failures in the last 24 hours

  • Outbox swm.box Total Files Copied in the last 24 hours

  • PA Requests/second in the last 24 hours

  • Relay Reports/second in the last 24 hours

  • Server Availability DMP Average Request Latency in the last 24 hours

  • Server Availability DMP Failed Requests in the last 24 hours

  • Sever Availability DMP Successful Requests in the last 24 hours

  • Server Availability DMP Total Requests in the last 24 hours

  • Server Availability MP Successful Requests in the last 24 hours:

  • Server Availability MP Total Requests in the last 24 hours

  • SINVs/second in the last 24 hours

  • SPs Executed/second in the last 24 hours

  • State Messages Processed/second in the last 24 hours

  • State Messages Rejected in the last 24 hors:

  • Status/second in the last 24 hours

  • Total DDRs in the last 24 hours

  • Total DM DDRs in the last 24 hours

  • Total DM HINVs in the last 24 hours

  • Total DM ISAPI Requests Dispatched in the last 24 hours

  • Total DM ISAPI Requests: Received in the last 24 hours

  • Total DM SINVs in the last 24 hours

  • Total DM Status in the last 24 hours

  • Total Failed Get SDM Package Requests in the last 24 hours

  • Total Get SDM Package Requests in the last 24 hours

  • Total HINVs in the last 24 hours

  • Total Relay Reports in the last 24 hours

  • Total SINVs in the last 24 hours

  • Total State Messages Processed in the last 24 hours

  • Total status in the last 24 hours

Processing Rates\PXE Service Point Servers

  • Database Requests processed in the last 24 hours

  • Database Requests processed/second in the last 24 hours

  • DHCP Discover Requests processed in the last 24 hours

  • DHCP Discover Requests processed/second in the last 24 hours

  • PXE Requests processed in the last 24 hours

  • PXE Requests processed/second in the last 24 hours

  • Server Availability PSP Average Request Latency in the last 24 hours

  • Server Availability PSP Failed Requests in the last 24 hours

  • Server Availability PSP Successful Requests in the last 24 hours

  • Server Availability PSP Total Requests in the last 24 hours

  • Total Faded Requests in the last 24 hours

  • Told Requests in the last 24 hours

  • Told Requests/second in the last 24 hours

Processing Rates\Servers Based on SMS Executive

  • Outbox stat.box Files Copied Per Minute in the last 24 hours

  • Outbox stat.box Total File Copy Failures in the last 24 hours

  • Outbox stat.box Total Files Copied in the last 24 hours

  • Outbox statemsg.box Files Copied Per Minute in the last 24 hours

  • Outbox statemsg.box Total File Copy Failures in the last 24 hours

  • Outbox statemsg.box Files Copied in the last 24 hours

Processing Rates\Site Servers

  • Average Updates Written Per Minute in the last 24 hours

  • DDRs/minute in the last 24 hours

  • HINVs/minute in the last 24 hours

  • Number of WOL Packets Per Second in the last 24 hours

  • SINVs/minute in the last 24 hours

  • State Message File Processing Threads in the Last 24 hours

  • State Message Files Processed/minute in the last 24 hours

  • State Message Records Processed/minute in the last 24 hours

  • Status/minute in the last 24 hours

  • SWMs/minute in the last 24 hours

  • Total Bad State Message Files Processed in the last 24 hour

  • Total DDRs in the last 24 hours

  • Total HINVs in the last 24 hours

  • Total Invalid State Message Records Processed in the last 24 hour

  • Total Number of WOL Packets Failed in the last 24 hours

  • Total Number of WOL Packets Sent in the last 24 hours

  • Total SINVs in the last 24 hours

  • Total State Message Files Processed in the last 24 hours

  • Total State Message Records Abandoned in the last 24 hours

  • Total State Message Records Processed in the last 24 hours

  • Total Status in the last 24 hours

  • Total SWMs in the last 24 hours

  • Total Updates written in the last 24 hours

Processing Rates\State Migration Point Servers

  • Clients currently completed saving state in the last 1 hour

  • Clients currently restoring state in the last 1 hour

  • Clients currently saving state in the last 1 hour

  • Server Availability SMP Average Request Latency in the last 24 hours

  • Server Availability SMP Failed Requests in the last 24 hours

  • Server Availability SMP Successful Requests in the last 24 hours

  • Server Availability SMP Total Requests in the last 24 hours

  • Total number of clients rejected in the last 1 hour

Processing Rates\System Health Validator Servers

  • SoH Requests Per Second in the last 24 hours

  • SoH Requests Total in the last 24 hours

  • SoH Response Client Fragility in the last 24 hours

  • SoH Response Compliant in the last 24 hours

  • SoH Response Failures in the last 24 hours

  • SoH Response Noncompliant in the last 24 hours

  • SoH Response Server Fragility in the last 24 hours

  • SoH Response Unknown in the last 24 hours

See Also

Concepts

Additional Resources for Configuration Manager 2007 Management Pack
Sites and Components for Configuration Manager 2007 Management Pack
Computer Groups for the Configuration Manager 2007 Management Pack
Installation Classes for the Configuration Manager 2007 Management Pack
Scripts for the Configuration Manager 2007 Management Pack
Diagrams for the Configuration Manager 2007 Management Pack
Reports for the Configuration Manager 2007 Management Pack


Diagrams for the Configuration Manager 2007 Management Pack

The Configuration Manager 2007 Management Pack provides a diagram for the Configuration Manager 2007 site hierarchy. Site servers and site systems are displayed showing their relationships to each other with context-sensitive information. This topology diagram includes logical data, such as hierarchies and sites, and physical data, such as site servers and site systems. Since Configuration Manager 2007 hierarchies can be large the diagrams have the following requirements:

  • The Operations Manager 2007 Agent must be installed locally on all Central Site Servers and their SMS Providers.

  • Install the Operations Manager 2007 Agent locally on all Primary Site Servers in a top-down manner, depending on how many levels of the Configuration Manager site hierarchy are desired.

  • Proxying must be enabled for each installed Operations Manager 2007 Agent.

  • Enter the fully qualified domain name (FQDN) using the Configuration Manager 2007 administrator console for each server to be discovered by Operations Manager.

  • Configuration Manager Servers must have been discovered and appear in the All Systems collection in the Configuration Manager Administrator Console.

  • ConfigMgr Server instances must be discovered by service discovery.

Discovery is performed by the following two scripts.

  • ConfigMgr 2007 Service Discovery - Server

  • ConfigMgr 2007 Site Hierarchy Discovery

Service Discovery will discover instances of the ConfigMgr Server class. Site Hierarchy Discovery will discover the following:

  • Sites - central, primary, and secondary sites on a per-site basis from the provider of a primary site

  • Site-to-site relationship

  • Servers within a site

  • Site-Server-to-site-system relationships

The discovery data can be seen partially in the diagram and more fully through object properties. In addition, diagrams can be saved in .jpeg, .bmp, or .png file formats.

See Also

Concepts

Additional Resources for Configuration Manager 2007 Management Pack
Sites and Components for Configuration Manager 2007 Management Pack
Computer Groups for the Configuration Manager 2007 Management Pack
Installation Classes for the Configuration Manager 2007 Management Pack
Scripts for the Configuration Manager 2007 Management Pack
Views for the Configuration Manager 2007 Management Pack
Reports for the Configuration Manager 2007 Management Pack


Reports for the Configuration Manager 2007 Management Pack

The reports described in this section are available in the Configuration Manager 2007 Management Pack. Reporting is an optional Operations Manager component that must be installed separately. For more information about deploying the reporting server, see the Operations Manager 2007 product Web page (http://go.microsoft.com/fwlink/?LinkID=83259).

Configuration Manager 2007 Reporting

The Configuration Manager 2007 Management Pack includes three types of reports:

  • Availability

  • Configuration

  • Performance

Reports are targeted to groups or objects by using the object picker. All reports are linked to take advantage of Operations Manager 2007 reporting capabilities. You can choose from among seven exportable formats for your reports.

Availability Reports

Availability reports in the Configuration Manager 2007 Management Pack are targeted against the ConfigMgr Server class and its monitors. They can be executed by selecting either the Microsoft.SystemCenter.ConfigurationManager.2007.ServersGroup group or the Microsoft.SystemCenter.ConfigurationManager.2007.SMS_Server_Class object in the report's object picker.

Server Availability

This report is based on the aggregate health state of all entities on a particular server and will include availability health state for the System.Health.EntityState.

Distribution Point Availability

This report is based on the availability health state of a Distribution Point and uses information from the DP health monitor.

Management Point Availability

This report is based on the availability health state of a Management Point and uses information from the MP health monitor.

PXE Service Point Availability

This report is based on the availability health state of a PXE Service Point and uses information from the PSP health monitor.

Site Server Availability

This report is based on the availability health state of a site server and uses information from the SS health monitor.

Software Updates Point Availability

This report is based on the availability health state of a Software Updates Point and uses information from the SUP health monitor.

System Health Validator Availability

This report is based on the availability health state of a System Health Validator Point and uses information from the SHV health monitor.

Configuration Report

One configuration report is available with the Configuration Manager 2007 Management Pack, the Configuration Manager 2007 Server Custom Configuration Report. This report displays the following ConfigMgr Server class properties:

  • Version (Configuration Manager 2007 Product Version)

  • Site System Type (Site System Type, Server Type, Database Server Type)

  • Components (Site Server, Server Locator Point, Distribution Point, Management Point, Reporting Point, Database Server, Provider, Sender, Client Access Point)

  • Site Code (SMS site code)

  • Server Type (Central, Primary, Secondary Site Server)

  • Name (NetBIOS name)

  • Database Server Type (Site Database Server)

This report can be executed by selecting either the Microsoft.SystemCenter.ConfigurationManager.2007.ServersGroup group or the Microsoft.SystemCenter.ConfigurationManager.2007.SMS_Server_Class object in the report's object picker.

Performance Reports

The performance reports are largely grouped according to Configuration Manager server roles or objects, i.e., Management Point or Data Discovery Record. These groups are further subdivided into raw (totals) and rate (per second or per minute) types so that values scale appropriately within a report.

The reports and their performance counters are organized in this manner to facilitate trend analysis and troubleshooting. The object report would typically be employed when investigating issues in the Configuration Manager infrastructure, whereas a server role report would be used to troubleshoot problems on, say, a Management Point(s).

Configuration Manager 2007 Server Performance Group Reports

To run the following reports, select Microsoft.SystemCenter.ConfigurationManager.2007.ServerPerformanceGroup in the object picker target group.

ConfigMgr 2007 Data Discovery Record Rate Performance

This report displays the data discovery record (DDR) processing rates for all applicable Configuration Manager 2007 server roles.

ConfigMgr 2007 Performance Measure: Site Server DDR processing rate | DDRs Processed/minute
ConfigMgr 2007 Performance Measure: MP DDR Mgr (Total Reports/second) | Total Reports/second
ConfigMgr 2007 Performance Measure: DMP DDR processing rate | Discovery Reports Generated/second

ConfigMgr 2007 Data Discovery Record Raw Performance

This report displays the DDR backlogs and totals processed for all applicable Configuration Manager 2007 server roles.

ConfigMgr 2007 Performance Measure: Site Server DDRs Backlog | Total Displays Data Discovery Record Rate Enqueued
ConfigMgr 2007 Performance Measure: Site Server Total DDRs Processed | Total Reports/second
ConfigMgr 2007 Performance Measure: DMP DDR Processing Rate | Discovery Reports Generated/second

ConfigMgr 2007 Device Management Point Raw Performance

This report displays the totals processed for the Configuration Manager 2007 Device Management Point server role.

ConfigMgr 2007 Performance Measure: DMP Total DDRs processed | Total Discovery Reports Generated
ConfigMgr 2007 Performance Measure: DMP Total HINVs processed | Total Hardware Inventory Reports Generated
ConfigMgr 2007 Performance Measure: DMP Total SINVs processed | Total Software Inventory Reports Generated
ConfigMgr 2007 Performance Measure: DMP Total Status Messages processed | Total Status Messages Raised
ConfigMgr 2007 Performance Measure: DMP Total ISAPI Requests Dispatched | Total Message Dispatched
ConfigMgr 2007 Performance Measure: DMP Total ISAPI Requests Received | Total Messages Received

ConfigMgr 2007 Device Management Point Rate Performance

This report displays the processing rates for the Configuration Manager 2007 Device Management Point server role.

ConfigMgr 2007 Performance Measure: DMP Setting Request rate | DMP Setting Requests/second
ConfigMgr 2007 Performance Measure: DMP Machine Setting Request rate | Machine Setting Requests/second
ConfigMgr 2007 Performance Measure: DMP Software Policy ID Request rate | Software Policy ID Requests/second
ConfigMgr 2007 Performance Measure: DMP Software Policy Body Request rate | Software Policy Body Requests/second
ConfigMgr 2007 Performance Measure: DMP Package Version Request rate | Package Version Requests/second
ConfigMgr 2007 Performance Measure: DMP Discovery Translation Request rate | Discovery Translation Requests/second
ConfigMgr 2007 Performance Measure: DMP Hardware Inventory Translation Request rate | Hardware Inventory Translation Requests/second
ConfigMgr 2007 Performance Measure: DMP Database Connection Attempt rate | Database Connection Attempts/second
ConfigMgr 2007 Performance Measure: DMP DDR processing rate | Discovery Reports Generated/second
ConfigMgr 2007 Performance Measure: DMP HINV processing rate | Hardware Inventory Reports Generated /second
ConfigMgr 2007 Performance Measure: DMP DP Location Request processing rate | Location Requests Generated /second
ConfigMgr 2007 Performance Measure: DMP ISAPI Messages processing rate | Messages Dispatched/second
ConfigMgr 2007 Performance Measure: DMP SINV processing rate | Software Inventory Reports Generated /second
ConfigMgr 2007 Performance Measure: DMP Status processing rate | Status Messages Raised /second

ConfigMgr 2007 Hardware Inventory Rate Performance

This report displays the hardware inventory (HINV) processing rates for all applicable SMS server roles.

ConfigMgr 2007 Performance Measure: Site Server HINV processing rate | MIFs Processed/minute
ConfigMgr 2007 Performance Measure: MP HINV Mgr (Total Reports/second) | Total Reports/second
ConfigMgr 2007 Performance Measure: MP HINV Retry Mgr (Total Reports/second) | Total Reports/second
ConfigMgr 2007 Performance Measure: DMP HINV processing rate | Hardware Inventory Reports Generated /second

ConfigMgr 2007 Hardware Inventory Raw Performance

This report displays the HINV backlogs and totals processed for all applicable Configuration Manager 2007 server roles.

ConfigMgr 2007 Performance Measure: Site Server HINV Backlog | Total MIFs Enqueued
ConfigMgr 2007 Performance Measure: Site Server Total HINVs processed | Total MIFs Processed
ConfigMgr 2007 Performance Measure: MP HINV Backlog | Messages Queued
ConfigMgr 2007 Performance Measure: MP HINV Mgr (Total Reports) | Total Reports
ConfigMgr 2007 Performance Measure: DMP Total HINVs processed | Total Hardware Inventory Reports Generated

ConfigMgr 2007 Management Point Rate Performance

This report displays the processing rates for the Configuration Manager 2007 Management Point server role.

ConfigMgr 2007 Perf Measure: MP Location Mgr (MP Requests/second) | MP Requests/second
ConfigMgr 2007 Perf Measure: MP Location Mgr (DP Requests/second) | DP Requests/second
ConfigMgr 2007 Perf Measure: MP Get Policy (Requests/second) | Requests/second
ConfigMgr 2007 Perf Measure: MP Get Auth (Requests/second) | Requests/second
ConfigMgr 2007 Perf Measure: MP Policy Mgr (PA Requests/second) | PA Requests/second
ConfigMgr 2007 Perf Measure: MP DAL (SPs Executed/second) | SPs Executed/second
ConfigMgr 2007 Perf Measure: MP HINV Mgr (Total Reports/second) | Total Reports/second
ConfigMgr 2007 Perf Measure: MP HINV Retry Mgr (Total Reports/second) | Total Reports/second
ConfigMgr 2007 Perf Measure: MP SINV Mgr (Total Reports/second) | Total Reports/second
ConfigMgr 2007 Perf Measure: MP SINV ColFile Mgr (Total Reports/second) | Total Reports/second
ConfigMgr 2007 Perf Measure: MP Relay Mgr (Total Reports/second) | Total Reports/second
ConfigMgr 2007 Perf Measure: MP Status Mgr (Total Events/second) | Total Events/second

ConfigMgr 2007 Management Point Raw Performance

This report displays the backlogs and totals processed for the Configuration Manager 2007 Management Point server role.

ConfigMgr 2007 Performance Measure: MP DDR Backlog | Messages Queued
ConfigMgr 2007 Performance Measure: MP DDR Mgr (Total Reports) | Total Reports
ConfigMgr 2007 Performance Measure: MP HINV Backlog | Messages Queued
ConfigMgr 2007 Performance Measure: MP HINV Mgr (Total Reports) | Total Reports
ConfigMgr 2007 Performance Measure: MP File Collection Backlog | Messages Queued
ConfigMgr 2007 Performance Measure: MP SINV Backlog | Messages Queued
ConfigMgr 2007 Performance Measure: MP SINV Mgr (Total Reports) | Total Reports
ConfigMgr 2007 Performance Measure: MP Relay Mgr Backlog | Messages Queued
ConfigMgr 2007 Performance Measure: MP Relay Mgr (Total Reports) | Total Reports
ConfigMgr 2007 Performance Measure: MP Status Backlog | Messages Queued
ConfigMgr 2007 Performance Measure: MP Status Mgr (Total Events) | Total Events

ConfigMgr 2007 Server System Resource Performance

This report displays the system resource usage by Configuration Manager 2007 server roles.

ConfigMgr 2007 Performance Measure: Memory - %Committed bytes in Use | Committed Bytes In Use
ConfigMgr 2007 Performance Measure: Paging File - %Usage | % Usage
ConfigMgr 2007 Performance Measure: Processor - % Processor time (_Total) | % Processor Time
ConfigMgr 2007 Performance Measure: Process - % Processor time (smsexec) | % Processor Time
ConfigMgr 2007 Performance Measure: Process - % Processor time (ccmexec) | % Processor Time
ConfigMgr 2007 Performance Measure: System - System Up Time | System Up Time

ConfigMgr 2007 Site Server Raw Performance

This report displays the processing rates for the Configuration Manager 2007 Site Server role.

ConfigMgr 2007 Performance Measure: Site Server Scheduler Jobs Backlog | Number of Jobs
ConfigMgr 2007 Performance Measure: Site Server Scheduler Send Requests Backlog | Number of Send Requests
ConfigMgr 2007 Performance Measure: SMS Executive Thread Sates Running Thread Count Total | Running Thread Count
ConfigMgr 2007 Performance Measure: Site Server DDR Backlog | Total DDRs Enqueued
ConfigMgr 2007 Performance Measure: Site Server Total DDR Processed | Total DDRs Processed
ConfigMgr 2007 Performance Measure: Site Server HINV Backlog | Total MIFs Enqueued
ConfigMgr 2007 Performance Measure: Site Server Total HINVs Processed | Total MIFs Processed
ConfigMgr 2007 Performance Measure: Site Server SINV Backlog | Total SINVs Enqueued
ConfigMgr 2007 Performance Measure: Site Server Total SINVs Processed | Total SINVs Processed
ConfigMgr 2007 Performance Measure: Site Server SWMs Backlog | Total SWM Usage Files Enqueued
ConfigMgr 2007 Performance Measure: Site Server Total SWMs Processed | Total SWM Usage Files Processed
ConfigMgr 2007 Performance Measure: Site Server Total Status Messages Processed | Received
ConfigMgr 2007 Performance Measure: SMS State System Total Message Records Processed | Total Message Records Processed
ConfigMgr 2007 Performance Measure: SMS State System Total Invalid Message Records Processed | Total Invalid Message Records Processed
ConfigMgr 2007 Performance Measure: SMS State System Total Message Records Abandoned | Total Message Records Abandoned
ConfigMgr 2007 Performance Measure: SMS State System Total Message Files Processed | Total Message Files Processed
ConfigMgr 2007 Performance Measure: SMS State System Total Bad Message Files Processed | Total Bad Message Files Processed
ConfigMgr 2007 Performance Measure: SMS State System Message File Processing Threads | Message File Processing Threads
ConfigMgr 2007 Performance Measure: SMS Wake On LAN Communication Manager Total Number of Packets Sent | Total Number of Packets Sent
ConfigMgr 2007 Performance Measure: SMS Wake On LAN Communication Manager Total Number of Packets Failed | Total Number of Packets Failed
ConfigMgr 2007 Performance Measure: SMS Wake On LAN Communication Manager Total Number of Requests Pending | Total Number of Requests Pending

ConfigMgr 2007 Site Server Rate Performance

This report displays the processing rates for the Configuration Manager 2007 Site Server role.

ConfigMgr 2007 Performance Measure: Site Server HINV Processing Rate | MIFs Processed/minute
ConfigMgr 2007 Performance Measure: Site Server SINV Processing Rate | SINVs Processed/minute
ConfigMgr 2007 Performance Measure: Site Server SWM Processing Rate | SWM Usage Records Processed/minute
ConfigMgr 2007 Performance Measure: Site Server Status Processing Rate | Processed/second
ConfigMgr 2007 Performance Measure: SMS State System Message Record processing rate | Processing Rate
ConfigMgr 2007 Performance Measure: SMS State System Message Files processed rate | Message Files Processed/minute
ConfigMgr 2007 Performance Measure: SMS Wake On LAN Communication Manager Number of Packets Per Second | Number of Packets per second

ConfigMgr 2007 Software Inventory Rate Performance

This report displays the software inventory (SINV) processing rates for all applicable Configuration Manager 2007 server roles.

ConfigMgr 2007 Performance Measure: Site Server SINV processing rate | SINVs Processed/minute
ConfigMgr 2007 Performance Measure: MP Sinv Mgr (Total Reports/second) | Total Reports/second
ConfigMgr 2007 Performance Measure: MP Sinv ColFile Mgr (Total Reports/second) | Total Reports/second
ConfigMgr 2007 Performance Measure: DMP SINV processing rate | Software Inventory Reports Generated /second

ConfigMgr 2007 Software Inventory Raw Performance

This report displays the SINV backlogs and totals processed for all applicable Configuration Manager 2007 server roles.

ConfigMgr 2007 Performance Measure: Site Server SINV Backlog | Total SINVs Enqueued
ConfigMgr 2007 Performance Measure: Site Server Total SINVs processed | Total SINVSs Processed
ConfigMgr 2007 Performance Measure: MP FileCollection Backlog | Messages Queued
ConfigMgr 2007 Performance Measure: MP SINV Backlog | Messages Queued
ConfigMgr 2007 Performance Measure: MP Sinv Mgr (Total Reports) | Total Reports
ConfigMgr 2007 Performance Measure: DMP Total SINVs processed | Total Software Inventory Reports Generated

ConfigMgr 2007 Software Metering Raw Performance

This report displays the software metering (SWM) backlogs and totals processed for all applicable Configuration Manager 2007 server roles.

ConfigMgr 2007 Performance Measure: Site Server SWM Backlog | Total SWM Usage Files Enqueued
ConfigMgr 2007 Performance Measure: Site Server Total SWMs processed | Total SWM Usage Records Processed
ConfigMgr 2007 Performance Measure: MP Relay Mgr Backlog | Messages Queued
ConfigMgr 2007 Performance Measure: MP Relay Mgr (Total Reports) | Total Reports

ConfigMgr 2007 Software Metering Rate Performance

This report displays the SWM processing rates for all applicable Configuration Manager 2007 server roles.

ConfigMgr 2007 Performance Measure: Site Server SWM processing rate | SWM Usage Records Processed/minute
ConfigMgr 2007 Performance Measure: MP Relay Mgr (Total Reports/second) | Total Reports/second

ConfigMgr 2007 State Message Raw Performance

This report displays the Configuration Manager 2007 State Message backlogs and totals processed for all applicable SMS server roles.

ConfigMgr 2007 Performance Measure: SMS State System Total Message Records Processed | Total Message Records Processed
ConfigMgr 2007 Performance Measure: SMS State System Total Invalid Message Records Processed | Total Invalid Message Records Processed
ConfigMgr 2007 Performance Measure: SMS State System Total Message Records Abandoned | Total Message Records Abandoned
ConfigMgr 2007 Performance Measure: SMS State System Total Message Files Processed | Total Message Files Processed
ConfigMgr 2007 Performance Measure: SMS State System Total Bad Message Records Processed | Total Bad Message Files Processed
ConfigMgr 2007 Performance Measure: SMS State System Message File Processing Threads | Message File Processing Threads
ConfigMgr 2007 Performance Measure: MP State Messages Processed | Total Messages
ConfigMgr 2007 Performance Measure: MP State Messages Rejected | Messages Rejected

ConfigMgr 2007 State Message Rate Performance

This report displays the SMS State Message processing rates for all applicable Configuration Manager 2007 server roles.

ConfigMgr 2007 Performance Measure: SMS State System Message Record Processing Rate | Message Records Processed/minute
ConfigMgr 2007 Performance Measure: SMS State System Message Files Processed Rate | Message Files Processed/minute
ConfigMgr 2007 Performance Measure: MP State Message Processing Rate | Messages/second

ConfigMgr 2007 Status Message Raw Performance

This report displays the SMS Status Message backlogs and totals processed for all applicable Configuration Manager 2007 server roles.

ConfigMgr 2007 Performance Measure: Site Server Total Status Messages processed | Received
ConfigMgr 2007 Performance Measure: MP Status Backlog | Messages Queued
ConfigMgr 2007 Performance Measure: MP Status Mgr (Total Events) | Total Events
ConfigMgr 2007 Performance Measure: DMP Total Status Messages processed | Total Status Messages Raised

ConfigMgr 2007 Status Message Rate Performance

This report displays the SMS Status Message processing rates for all applicable Configuration Manager 2007 server roles.

ConfigMgr 2007 Performance Measure: Site Server Status processing rate | Processed/second
ConfigMgr 2007 Performance Measure: MP Status Mgr (Total Events/second) | Total Events/second
ConfigMgr 2007 Performance Measure: DMP Status processing rate | Status Messages Raised /second

ConfigMgr 2007 Supporting Server Roles Performance

This report displays the performance of services supporting Configuration Manager 2007 server roles.

ConfigMgr 2007 Performance Measure: Web Service (ISAPI Extension Requests/second)

ISAPI Extension Requests/second

See Also

Concepts

Additional Resources for Configuration Manager 2007 Management Pack
Sites and Components for Configuration Manager 2007 Management Pack
Computer Groups for the Configuration Manager 2007 Management Pack
Installation Classes for the Configuration Manager 2007 Management Pack
Scripts for the Configuration Manager 2007 Management Pack
Views for the Configuration Manager 2007 Management Pack
Diagrams for the Configuration Manager 2007 Management Pack